/*
 * Requires:
 *     psiturk.js
 *     utils.js
 */

// Initalize psiturk object
var psiTurk = new PsiTurk(uniqueId, adServerLoc, mode);

var mycondition = condition;  // these two variables are passed by the psiturk server process
var mycounterbalance = counterbalance;  // they tell you which condition you have been assigned to
// they are not used in the stroop code but may be useful to you

// All pages to be loaded
var pages = [
	"instructions/instruct-1.html",
	"instructions/instruct-ready.html",
	"prequestionnaire_new.html",
	"stage.html",
	"postquestionnaire.html",
];

psiTurk.preloadPages(pages);

var oneWord = {'static/dataset/coco_val_set/2.jpg': 'grass', 'static/dataset/coco_val_set/5.jpg': 'teddy', 'static/dataset/coco_val_set/7.jpg': 'tile floor', 'static/dataset/coco_val_set/9.jpg': 'tennis', 'static/dataset/coco_val_set/10.jpg': 'net', 'static/dataset/coco_val_set/11.jpg': 'bridge', 'static/dataset/coco_val_set/12.jpg': 'phone', 'static/dataset/coco_val_set/15.jpg': 'sea', 'static/dataset/coco_val_set/16.jpg': 'window-blind', 'static/dataset/coco_val_set/17.jpg': 'road', 'static/dataset/coco_val_set/18.jpg': 'road', 'static/dataset/coco_val_set/19.jpg': 'animal', 'static/dataset/coco_val_set/23.jpg': 'bush', 'static/dataset/coco_val_set/27.jpg': 'sea', 'static/dataset/coco_val_set/28.jpg': 'children', 'static/dataset/coco_val_set/29.jpg': 'table', 'static/dataset/coco_val_set/30.jpg': 'tree', 'static/dataset/coco_val_set/32.jpg': 'table', 'static/dataset/coco_val_set/33.jpg': 'mug', 'static/dataset/coco_val_set/34.jpg': 'wood floor', 'static/dataset/coco_val_set/35.jpg': 'clouds', 'static/dataset/coco_val_set/36.jpg': 'tile floor', 'static/dataset/coco_val_set/38.jpg': 'table', 'static/dataset/coco_val_set/39.jpg': 'grass', 'static/dataset/coco_val_set/42.jpg': 'wood floor', 'static/dataset/coco_val_set/44.jpg': 'tie', 'static/dataset/coco_val_set/45.jpg': 'carpet', 'static/dataset/coco_val_set/46.jpg': 'sea', 'static/dataset/coco_val_set/48.jpg': 'pavement', 'static/dataset/coco_val_set/51.jpg': 'children', 'static/dataset/coco_val_set/52.jpg': 'clouds', 'static/dataset/coco_val_set/53.jpg': 'toilet', 'static/dataset/coco_val_set/54.jpg': 'snow', 'static/dataset/coco_val_set/55.jpg': 'playingfield', 'static/dataset/coco_val_set/57.jpg': 'grass', 'static/dataset/coco_val_set/58.jpg': 'food', 'static/dataset/coco_val_set/60.jpg': 'mirror-stuff', 'static/dataset/coco_val_set/62.jpg': 'playingfield', 'static/dataset/coco_val_set/63.jpg': 'fruit', 'static/dataset/coco_val_set/64.jpg': 'pavement', 'static/dataset/coco_val_set/65.jpg': 'table', 'static/dataset/coco_val_set/66.jpg': 'costume', 'static/dataset/coco_val_set/70.jpg': 'pavement', 'static/dataset/coco_val_set/71.jpg': 'clouds', 'static/dataset/coco_val_set/72.jpg': 'sea', 'static/dataset/coco_val_set/73.jpg': 'clouds', 'static/dataset/coco_val_set/74.jpg': 'grass', 'static/dataset/coco_val_set/75.jpg': 'clouds', 'static/dataset/coco_val_set/76.jpg': 'counter', 'static/dataset/coco_val_set/77.jpg': 'sky', 'static/dataset/coco_val_set/78.jpg': 'blanket', 'static/dataset/coco_val_set/79.jpg': 'road', 'static/dataset/coco_val_set/80.jpg': 'window', 'static/dataset/coco_val_set/81.jpg': 'grass', 'static/dataset/coco_val_set/82.jpg': 'tree', 'static/dataset/coco_val_set/84.jpg': 'table', 'static/dataset/coco_val_set/85.jpg': 'banner', 'static/dataset/coco_val_set/86.jpg': 'food', 'static/dataset/coco_val_set/87.jpg': 'tie', 'static/dataset/coco_val_set/88.jpg': 'table', 'static/dataset/coco_val_set/89.jpg': 'grass', 'static/dataset/coco_val_set/90.jpg': 'fog', 'static/dataset/coco_val_set/91.jpg': 'house', 'static/dataset/coco_val_set/92.jpg': 'house', 'static/dataset/coco_val_set/93.jpg': 'human', 'static/dataset/coco_val_set/94.jpg': 'table', 'static/dataset/coco_val_set/95.jpg': 'pavement', 'static/dataset/coco_val_set/96.jpg': 'table', 'static/dataset/coco_val_set/97.jpg': 'window', 'static/dataset/coco_val_set/99.jpg': 'mirror-stuff', 'static/dataset/coco_val_set/100.jpg': 'road', 'static/dataset/coco_val_set/101.jpg': 'food', 'static/dataset/coco_val_set/103.jpg': 'counter', 'static/dataset/coco_val_set/104.jpg': 'food', 'static/dataset/coco_val_set/105.jpg': 'wood floor', 'static/dataset/coco_val_set/111.jpg': 'leaves', 'static/dataset/coco_val_set/112.jpg': 'pavement', 'static/dataset/coco_val_set/113.jpg': 'pavement', 'static/dataset/coco_val_set/114.jpg': 'fog', 'static/dataset/coco_val_set/115.jpg': 'window', 'static/dataset/coco_val_set/116.jpg': 'tree', 'static/dataset/coco_val_set/117.jpg': 'table', 'static/dataset/coco_val_set/119.jpg': 'playingfield', 'static/dataset/coco_val_set/120.jpg': 'tile floor', 'static/dataset/coco_val_set/121.jpg': 'flower', 'static/dataset/coco_val_set/123.jpg': 'food', 'static/dataset/coco_val_set/124.jpg': 'pavement', 'static/dataset/coco_val_set/126.jpg': 'table', 'static/dataset/coco_val_set/127.jpg': 'road', 'static/dataset/coco_val_set/128.jpg': 'grass', 'static/dataset/coco_val_set/130.jpg': 'clouds', 'static/dataset/coco_val_set/131.jpg': 'pavement', 'static/dataset/coco_val_set/132.jpg': 'food', 'static/dataset/coco_val_set/133.jpg': 'table', 'static/dataset/coco_val_set/134.jpg': 'carpet', 'static/dataset/coco_val_set/136.jpg': 'table', 'static/dataset/coco_val_set/137.jpg': 'animal', 'static/dataset/coco_val_set/138.jpg': 'wood floor', 'static/dataset/coco_val_set/139.jpg': 'railroad', 'static/dataset/coco_val_set/142.jpg': 'grass', 'static/dataset/coco_val_set/143.jpg': 'animal', 'static/dataset/coco_val_set/144.jpg': 'animal', 'static/dataset/coco_val_set/145.jpg': 'table', 'static/dataset/coco_val_set/148.jpg': 'food', 'static/dataset/coco_val_set/150.jpg': 'tree', 'static/dataset/coco_val_set/152.jpg': 'animal', 'static/dataset/coco_val_set/154.jpg': 'skateboard', 'static/dataset/coco_val_set/158.jpg': 'window', 'static/dataset/coco_val_set/159.jpg': 'tree', 'static/dataset/coco_val_set/160.jpg': 'tree', 'static/dataset/coco_val_set/162.jpg': 'screen', 'static/dataset/coco_val_set/164.jpg': 'rock', 'static/dataset/coco_val_set/165.jpg': 'phone', 'static/dataset/coco_val_set/167.jpg': 'grass', 'static/dataset/coco_val_set/168.jpg': 'tree', 'static/dataset/coco_val_set/169.jpg': 'cage', 'static/dataset/coco_val_set/172.jpg': 'road', 'static/dataset/coco_val_set/173.jpg': 'mirror-stuff', 'static/dataset/coco_val_set/174.jpg': 'bush', 'static/dataset/coco_val_set/176.jpg': 'tile floor', 'static/dataset/coco_val_set/179.jpg': 'grass', 'static/dataset/coco_val_set/180.jpg': 'blanket', 'static/dataset/coco_val_set/183.jpg': 'playingfield', 'static/dataset/coco_val_set/184.jpg': 'pavement', 'static/dataset/coco_val_set/186.jpg': 'sand', 'static/dataset/coco_val_set/188.jpg': 'wood floor', 'static/dataset/coco_val_set/190.jpg': 'river', 'static/dataset/coco_val_set/191.jpg': 'road', 'static/dataset/coco_val_set/194.jpg': 'playingfield', 'static/dataset/coco_val_set/195.jpg': 'lights', 'static/dataset/coco_val_set/196.jpg': 'wood floor', 'static/dataset/coco_val_set/202.jpg': 'rock', 'static/dataset/coco_val_set/203.jpg': 'mountain', 'static/dataset/coco_val_set/204.jpg': 'napkin', 'static/dataset/coco_val_set/205.jpg': 'curtain', 'static/dataset/coco_val_set/207.jpg': 'food', 'static/dataset/coco_val_set/208.jpg': 'tie', 'static/dataset/coco_val_set/209.jpg': 'road', 'static/dataset/coco_val_set/210.jpg': 'sea', 'static/dataset/coco_val_set/211.jpg': 'tree', 'static/dataset/coco_val_set/212.jpg': 'curtain', 'static/dataset/coco_val_set/216.jpg': 'tree', 'static/dataset/coco_val_set/217.jpg': 'device', 'static/dataset/coco_val_set/218.jpg': 'cupboard', 'static/dataset/coco_val_set/219.jpg': 'banner', 'static/dataset/coco_val_set/222.jpg': 'tree', 'static/dataset/coco_val_set/223.jpg': 'curtain', 'static/dataset/coco_val_set/224.jpg': 'tree', 'static/dataset/coco_val_set/225.jpg': 'clouds', 'static/dataset/coco_val_set/227.jpg': 'tree', 'static/dataset/coco_val_set/229.jpg': 'tile floor', 'static/dataset/coco_val_set/230.jpg': 'skyscraper', 'static/dataset/coco_val_set/231.jpg': 'food', 'static/dataset/coco_val_set/233.jpg': 'grass', 'static/dataset/coco_val_set/234.jpg': 'house', 'static/dataset/coco_val_set/235.jpg': 'clouds', 'static/dataset/coco_val_set/236.jpg': 'food', 'static/dataset/coco_val_set/237.jpg': 'pavement', 'static/dataset/coco_val_set/239.jpg': 'shelf', 'static/dataset/coco_val_set/240.jpg': 'grass', 'static/dataset/coco_val_set/241.jpg': 'tree', 'static/dataset/coco_val_set/242.jpg': 'table', 'static/dataset/coco_val_set/243.jpg': 'bush', 'static/dataset/coco_val_set/246.jpg': 'window', 'static/dataset/coco_val_set/247.jpg': 'pavement', 'static/dataset/coco_val_set/248.jpg': 'table', 'static/dataset/coco_val_set/249.jpg': 'playingfield', 'static/dataset/coco_val_set/252.jpg': 'table', 'static/dataset/coco_val_set/253.jpg': 'table', 'static/dataset/coco_val_set/255.jpg': 'table', 'static/dataset/coco_val_set/256.jpg': 'window', 'static/dataset/coco_val_set/258.jpg': 'tree', 'static/dataset/coco_val_set/259.jpg': 'pavement', 'static/dataset/coco_val_set/260.jpg': 'window-blind', 'static/dataset/coco_val_set/263.jpg': 'road', 'static/dataset/coco_val_set/264.jpg': 'sand', 'static/dataset/coco_val_set/265.jpg': 'sea', 'static/dataset/coco_val_set/266.jpg': 'mirror-stuff', 'static/dataset/coco_val_set/267.jpg': 'tree', 'static/dataset/coco_val_set/268.jpg': 'bush', 'static/dataset/coco_val_set/273.jpg': 'tree', 'static/dataset/coco_val_set/275.jpg': 'curtain', 'static/dataset/coco_val_set/276.jpg': 'table', 'static/dataset/coco_val_set/277.jpg': 'table', 'static/dataset/coco_val_set/278.jpg': 'sea', 'static/dataset/coco_val_set/280.jpg': 'tree', 'static/dataset/coco_val_set/281.jpg': 'snow', 'static/dataset/coco_val_set/282.jpg': 'tree', 'static/dataset/coco_val_set/283.jpg': 'table', 'static/dataset/coco_val_set/284.jpg': 'grass', 'static/dataset/coco_val_set/285.jpg': 'plant', 'static/dataset/coco_val_set/286.jpg': 'pavement', 'static/dataset/coco_val_set/289.jpg': 'shelf', 'static/dataset/coco_val_set/292.jpg': 'animal', 'static/dataset/coco_val_set/293.jpg': 'cake', 'static/dataset/coco_val_set/294.jpg': 'table', 'static/dataset/coco_val_set/295.jpg': 'clock', 'static/dataset/coco_val_set/296.jpg': 'helmet', 'static/dataset/coco_val_set/297.jpg': 'food', 'static/dataset/coco_val_set/298.jpg': 'playingfield', 'static/dataset/coco_val_set/302.jpg': 'carpet', 'static/dataset/coco_val_set/304.jpg': 'window', 'static/dataset/coco_val_set/305.jpg': 'shelf', 'static/dataset/coco_val_set/306.jpg': 'tile floor', 'static/dataset/coco_val_set/309.jpg': 'road', 'static/dataset/coco_val_set/310.jpg': 'playingfield', 'static/dataset/coco_val_set/311.jpg': 'snow', 'static/dataset/coco_val_set/312.jpg': 'grass', 'static/dataset/coco_val_set/314.jpg': 'sand', 'static/dataset/coco_val_set/315.jpg': 'playingfield', 'static/dataset/coco_val_set/320.jpg': 'sky', 'static/dataset/coco_val_set/321.jpg': 'pavement', 'static/dataset/coco_val_set/322.jpg': 'table', 'static/dataset/coco_val_set/324.jpg': 'food', 'static/dataset/coco_val_set/325.jpg': 'tree', 'static/dataset/coco_val_set/326.jpg': 'counter', 'static/dataset/coco_val_set/327.jpg': 'tile floor', 'static/dataset/coco_val_set/328.jpg': 'blanket', 'static/dataset/coco_val_set/331.jpg': 'shelf', 'static/dataset/coco_val_set/335.jpg': 'wood floor', 'static/dataset/coco_val_set/336.jpg': 'snow', 'static/dataset/coco_val_set/338.jpg': 'clouds', 'static/dataset/coco_val_set/340.jpg': 'pavement', 'static/dataset/coco_val_set/341.jpg': 'shelf', 'static/dataset/coco_val_set/342.jpg': 'wood floor', 'static/dataset/coco_val_set/345.jpg': 'clouds', 'static/dataset/coco_val_set/346.jpg': 'window', 'static/dataset/coco_val_set/347.jpg': 'playingfield', 'static/dataset/coco_val_set/348.jpg': 'pavement', 'static/dataset/coco_val_set/349.jpg': 'toilet', 'static/dataset/coco_val_set/350.jpg': 'snow', 'static/dataset/coco_val_set/351.jpg': 'snow', 'static/dataset/coco_val_set/352.jpg': 'screen', 'static/dataset/coco_val_set/354.jpg': 'grass', 'static/dataset/coco_val_set/355.jpg': 'road', 'static/dataset/coco_val_set/358.jpg': 'playingfield', 'static/dataset/coco_val_set/359.jpg': 'road', 'static/dataset/coco_val_set/360.jpg': 'playingfield', 'static/dataset/coco_val_set/361.jpg': 'bush', 'static/dataset/coco_val_set/362.jpg': 'blanket', 'static/dataset/coco_val_set/365.jpg': 'tennis', 'static/dataset/coco_val_set/367.jpg': 'tree', 'static/dataset/coco_val_set/368.jpg': 'pavement', 'static/dataset/coco_val_set/369.jpg': 'tile floor', 'static/dataset/coco_val_set/370.jpg': 'blanket', 'static/dataset/coco_val_set/371.jpg': 'board', 'static/dataset/coco_val_set/373.jpg': 'grass', 'static/dataset/coco_val_set/374.jpg': 'window-blind', 'static/dataset/coco_val_set/375.jpg': 'grass', 'static/dataset/coco_val_set/376.jpg': 'snow', 'static/dataset/coco_val_set/379.jpg': 'fog', 'static/dataset/coco_val_set/380.jpg': 'curtain', 'static/dataset/coco_val_set/381.jpg': 'rock', 'static/dataset/coco_val_set/383.jpg': 'tree', 'static/dataset/coco_val_set/385.jpg': 'tree', 'static/dataset/coco_val_set/386.jpg': 'table', 'static/dataset/coco_val_set/387.jpg': 'mountain', 'static/dataset/coco_val_set/388.jpg': 'sea', 'static/dataset/coco_val_set/390.jpg': 'snow', 'static/dataset/coco_val_set/392.jpg': 'curtain', 'static/dataset/coco_val_set/393.jpg': 'snow', 'static/dataset/coco_val_set/394.jpg': 'tree', 'static/dataset/coco_val_set/396.jpg': 'clouds', 'static/dataset/coco_val_set/398.jpg': 'mountain', 'static/dataset/coco_val_set/405.jpg': 'window', 'static/dataset/coco_val_set/407.jpg': 'curtain', 'static/dataset/coco_val_set/408.jpg': 'tile floor', 'static/dataset/coco_val_set/409.jpg': 'playingfield', 'static/dataset/coco_val_set/410.jpg': 'animal', 'static/dataset/coco_val_set/411.jpg': 'table', 'static/dataset/coco_val_set/414.jpg': 'pavement', 'static/dataset/coco_val_set/415.jpg': 'tree', 'static/dataset/coco_val_set/416.jpg': 'table', 'static/dataset/coco_val_set/417.jpg': 'animal', 'static/dataset/coco_val_set/418.jpg': 'tree', 'static/dataset/coco_val_set/419.jpg': 'grass', 'static/dataset/coco_val_set/420.jpg': 'sand', 'static/dataset/coco_val_set/423.jpg': 'tree', 'static/dataset/coco_val_set/426.jpg': 'table', 'static/dataset/coco_val_set/427.jpg': 'sand', 'static/dataset/coco_val_set/430.jpg': 'straw', 'static/dataset/coco_val_set/431.jpg': 'pavement', 'static/dataset/coco_val_set/434.jpg': 'grass', 'static/dataset/coco_val_set/437.jpg': 'mirror-stuff', 'static/dataset/coco_val_set/438.jpg': 'tree', 'static/dataset/coco_val_set/439.jpg': 'tent', 'static/dataset/coco_val_set/440.jpg': 'curtain', 'static/dataset/coco_val_set/441.jpg': 'grass', 'static/dataset/coco_val_set/442.jpg': 'sea', 'static/dataset/coco_val_set/444.jpg': 'house', 'static/dataset/coco_val_set/446.jpg': 'road', 'static/dataset/coco_val_set/448.jpg': 'carpet', 'static/dataset/coco_val_set/450.jpg': 'food', 'static/dataset/coco_val_set/451.jpg': 'sea', 'static/dataset/coco_val_set/452.jpg': 'animal', 'static/dataset/coco_val_set/453.jpg': 'straw', 'static/dataset/coco_val_set/454.jpg': 'sea', 'static/dataset/coco_val_set/455.jpg': 'flower', 'static/dataset/coco_val_set/456.jpg': 'tile floor', 'static/dataset/coco_val_set/457.jpg': 'screen', 'static/dataset/coco_val_set/458.jpg': 'snow', 'static/dataset/coco_val_set/459.jpg': 'window-blind', 'static/dataset/coco_val_set/460.jpg': 'snow', 'static/dataset/coco_val_set/461.jpg': 'cage', 'static/dataset/coco_val_set/462.jpg': 'sea', 'static/dataset/coco_val_set/464.jpg': 'sky', 'static/dataset/coco_val_set/467.jpg': 'straw', 'static/dataset/coco_val_set/470.jpg': 'clouds', 'static/dataset/coco_val_set/471.jpg': 'sand', 'static/dataset/coco_val_set/472.jpg': 'cloth', 'static/dataset/coco_val_set/474.jpg': 'hat', 'static/dataset/coco_val_set/475.jpg': 'grass', 'static/dataset/coco_val_set/476.jpg': 'mountain', 'static/dataset/coco_val_set/479.jpg': 'bush', 'static/dataset/coco_val_set/480.jpg': 'sea', 'static/dataset/coco_val_set/483.jpg': 'tile floor', 'static/dataset/coco_val_set/488.jpg': 'tile floor', 'static/dataset/coco_val_set/489.jpg': 'wood floor', 'static/dataset/coco_val_set/491.jpg': 'road', 'static/dataset/coco_val_set/492.jpg': 'tree', 'static/dataset/coco_val_set/493.jpg': 'clouds', 'static/dataset/coco_val_set/494.jpg': 'table', 'static/dataset/coco_val_set/496.jpg': 'window', 'static/dataset/coco_val_set/497.jpg': 'table', 'static/dataset/coco_val_set/498.jpg': 'table', 'static/dataset/coco_val_set/499.jpg': 'tile floor', 'static/dataset/coco_val_set/501.jpg': 'tree', 'static/dataset/coco_val_set/503.jpg': 'pavement', 'static/dataset/coco_val_set/505.jpg': 'tile floor', 'static/dataset/coco_val_set/506.jpg': 'tree', 'static/dataset/coco_val_set/507.jpg': 'playingfield', 'static/dataset/coco_val_set/508.jpg': 'river', 'static/dataset/coco_val_set/509.jpg': 'bridge', 'static/dataset/coco_val_set/510.jpg': 'sea', 'static/dataset/coco_val_set/511.jpg': 'mirror-stuff', 'static/dataset/coco_val_set/513.jpg': 'food', 'static/dataset/coco_val_set/514.jpg': 'grass', 'static/dataset/coco_val_set/515.jpg': 'sand', 'static/dataset/coco_val_set/516.jpg': 'hat', 'static/dataset/coco_val_set/518.jpg': 'clock', 'static/dataset/coco_val_set/520.jpg': 'window-blind', 'static/dataset/coco_val_set/523.jpg': 'tree', 'static/dataset/coco_val_set/525.jpg': 'umbrella', 'static/dataset/coco_val_set/528.jpg': 'tree', 'static/dataset/coco_val_set/529.jpg': 'window', 'static/dataset/coco_val_set/531.jpg': 'playingfield', 'static/dataset/coco_val_set/532.jpg': 'grass', 'static/dataset/coco_val_set/534.jpg': 'cage', 'static/dataset/coco_val_set/536.jpg': 'playingfield', 'static/dataset/coco_val_set/537.jpg': 'wood floor', 'static/dataset/coco_val_set/538.jpg': 'mirror-stuff', 'static/dataset/coco_val_set/539.jpg': 'pavement', 'static/dataset/coco_val_set/541.jpg': 'railroad', 'static/dataset/coco_val_set/543.jpg': 'wood floor', 'static/dataset/coco_val_set/545.jpg': 'leaves', 'static/dataset/coco_val_set/548.jpg': 'blanket', 'static/dataset/coco_val_set/549.jpg': 'mirror-stuff', 'static/dataset/coco_val_set/550.jpg': 'tree', 'static/dataset/coco_val_set/552.jpg': 'salad', 'static/dataset/coco_val_set/553.jpg': 'playingfield', 'static/dataset/coco_val_set/554.jpg': 'table', 'static/dataset/coco_val_set/558.jpg': 'shelf', 'static/dataset/coco_val_set/560.jpg': 'food', 'static/dataset/coco_val_set/561.jpg': 'food', 'static/dataset/coco_val_set/562.jpg': 'rock', 'static/dataset/coco_val_set/564.jpg': 'rock', 'static/dataset/coco_val_set/565.jpg': 'bush', 'static/dataset/coco_val_set/566.jpg': 'tree', 'static/dataset/coco_val_set/568.jpg': 'grass', 'static/dataset/coco_val_set/570.jpg': 'sea', 'static/dataset/coco_val_set/571.jpg': 'curtain', 'static/dataset/coco_val_set/572.jpg': 'pavement', 'static/dataset/coco_val_set/573.jpg': 'pavement', 'static/dataset/coco_val_set/574.jpg': 'tree', 'static/dataset/coco_val_set/575.jpg': 'grass', 'static/dataset/coco_val_set/578.jpg': 'sand', 'static/dataset/coco_val_set/579.jpg': 'pavement', 'static/dataset/coco_val_set/580.jpg': 'counter', 'static/dataset/coco_val_set/581.jpg': 'curtain', 'static/dataset/coco_val_set/583.jpg': 'shelf', 'static/dataset/coco_val_set/584.jpg': 'table', 'static/dataset/coco_val_set/585.jpg': 'table', 'static/dataset/coco_val_set/587.jpg': 'counter', 'static/dataset/coco_val_set/588.jpg': 'shelf', 'static/dataset/coco_val_set/590.jpg': 'grass', 'static/dataset/coco_val_set/594.jpg': 'grass', 'static/dataset/coco_val_set/595.jpg': 'tie', 'static/dataset/coco_val_set/597.jpg': 'house', 'static/dataset/coco_val_set/599.jpg': 'grass', 'static/dataset/coco_val_set/600.jpg': 'curtain', 'static/dataset/coco_val_set/601.jpg': 'grass', 'static/dataset/coco_val_set/602.jpg': 'pavement', 'static/dataset/coco_val_set/604.jpg': 'keyboard', 'static/dataset/coco_val_set/606.jpg': 'straw', 'static/dataset/coco_val_set/608.jpg': 'road', 'static/dataset/coco_val_set/609.jpg': 'house', 'static/dataset/coco_val_set/612.jpg': 'window-blind', 'static/dataset/coco_val_set/613.jpg': 'table', 'static/dataset/coco_val_set/616.jpg': 'platform', 'static/dataset/coco_val_set/622.jpg': 'bush', 'static/dataset/coco_val_set/624.jpg': 'pillow', 'static/dataset/coco_val_set/628.jpg': 'pavement', 'static/dataset/coco_val_set/629.jpg': 'teddy', 'static/dataset/coco_val_set/631.jpg': 'wood floor', 'static/dataset/coco_val_set/632.jpg': 'leaves', 'static/dataset/coco_val_set/635.jpg': 'pavement', 'static/dataset/coco_val_set/636.jpg': 'playingfield', 'static/dataset/coco_val_set/637.jpg': 'plant', 'static/dataset/coco_val_set/638.jpg': 'tile floor', 'static/dataset/coco_val_set/639.jpg': 'tile floor', 'static/dataset/coco_val_set/641.jpg': 'sand', 'static/dataset/coco_val_set/644.jpg': 'table', 'static/dataset/coco_val_set/645.jpg': 'food', 'static/dataset/coco_val_set/646.jpg': 'carpet', 'static/dataset/coco_val_set/647.jpg': 'pavement', 'static/dataset/coco_val_set/648.jpg': 'mountain', 'static/dataset/coco_val_set/649.jpg': 'pavement', 'static/dataset/coco_val_set/650.jpg': 'animal', 'static/dataset/coco_val_set/651.jpg': 'playingfield', 'static/dataset/coco_val_set/654.jpg': 'pen', 'static/dataset/coco_val_set/655.jpg': 'carpet', 'static/dataset/coco_val_set/656.jpg': 'clouds', 'static/dataset/coco_val_set/657.jpg': 'blanket', 'static/dataset/coco_val_set/661.jpg': 'bush', 'static/dataset/coco_val_set/664.jpg': 'clouds', 'static/dataset/coco_val_set/668.jpg': 'playingfield', 'static/dataset/coco_val_set/669.jpg': 'leaves', 'static/dataset/coco_val_set/670.jpg': 'food', 'static/dataset/coco_val_set/672.jpg': 'tree', 'static/dataset/coco_val_set/674.jpg': 'tree', 'static/dataset/coco_val_set/676.jpg': 'tree', 'static/dataset/coco_val_set/677.jpg': 'sand', 'static/dataset/coco_val_set/678.jpg': 'clouds', 'static/dataset/coco_val_set/681.jpg': 'playingfield', 'static/dataset/coco_val_set/682.jpg': 'cage', 'static/dataset/coco_val_set/683.jpg': 'carpet', 'static/dataset/coco_val_set/684.jpg': 'snow', 'static/dataset/coco_val_set/686.jpg': 'tree', 'static/dataset/coco_val_set/687.jpg': 'window', 'static/dataset/coco_val_set/689.jpg': 'grass', 'static/dataset/coco_val_set/691.jpg': 'snow', 'static/dataset/coco_val_set/692.jpg': 'table', 'static/dataset/coco_val_set/693.jpg': 'animal', 'static/dataset/coco_val_set/694.jpg': 'pavement', 'static/dataset/coco_val_set/696.jpg': 'wood floor', 'static/dataset/coco_val_set/697.jpg': 'table', 'static/dataset/coco_val_set/700.jpg': 'tree', 'static/dataset/coco_val_set/701.jpg': 'teddy', 'static/dataset/coco_val_set/702.jpg': 'carpet', 'static/dataset/coco_val_set/703.jpg': 'tile floor', 'static/dataset/coco_val_set/704.jpg': 'sea', 'static/dataset/coco_val_set/706.jpg': 'table', 'static/dataset/coco_val_set/708.jpg': 'tree', 'static/dataset/coco_val_set/714.jpg': 'tree', 'static/dataset/coco_val_set/715.jpg': 'playingfield', 'static/dataset/coco_val_set/717.jpg': 'shelf', 'static/dataset/coco_val_set/719.jpg': 'house', 'static/dataset/coco_val_set/720.jpg': 'stairs', 'static/dataset/coco_val_set/721.jpg': 'sand', 'static/dataset/coco_val_set/722.jpg': 'tree', 'static/dataset/coco_val_set/723.jpg': 'carpet', 'static/dataset/coco_val_set/724.jpg': 'table', 'static/dataset/coco_val_set/725.jpg': 'wood floor', 'static/dataset/coco_val_set/726.jpg': 'road', 'static/dataset/coco_val_set/727.jpg': 'drinks', 'static/dataset/coco_val_set/728.jpg': 'leaves', 'static/dataset/coco_val_set/730.jpg': 'face', 'static/dataset/coco_val_set/731.jpg': 'tree', 'static/dataset/coco_val_set/732.jpg': 'rock', 'static/dataset/coco_val_set/734.jpg': 'face', 'static/dataset/coco_val_set/735.jpg': 'snow', 'static/dataset/coco_val_set/736.jpg': 'playingfield', 'static/dataset/coco_val_set/737.jpg': 'grass', 'static/dataset/coco_val_set/738.jpg': 'river', 'static/dataset/coco_val_set/739.jpg': 'tree', 'static/dataset/coco_val_set/742.jpg': 'snow', 'static/dataset/coco_val_set/743.jpg': 'faces', 'static/dataset/coco_val_set/744.jpg': 'pavement', 'static/dataset/coco_val_set/745.jpg': 'pavement', 'static/dataset/coco_val_set/748.jpg': 'road', 'static/dataset/coco_val_set/749.jpg': 'window', 'static/dataset/coco_val_set/752.jpg': 'house', 'static/dataset/coco_val_set/754.jpg': 'tree', 'static/dataset/coco_val_set/755.jpg': 'counter', 'static/dataset/coco_val_set/756.jpg': 'face', 'static/dataset/coco_val_set/757.jpg': 'bush', 'static/dataset/coco_val_set/758.jpg': 'tree', 'static/dataset/coco_val_set/760.jpg': 'grass', 'static/dataset/coco_val_set/761.jpg': 'bush', 'static/dataset/coco_val_set/762.jpg': 'playingfield', 'static/dataset/coco_val_set/763.jpg': 'shelf', 'static/dataset/coco_val_set/764.jpg': 'snow', 'static/dataset/coco_val_set/766.jpg': 'cage', 'static/dataset/coco_val_set/769.jpg': 'food', 'static/dataset/coco_val_set/772.jpg': 'grass', 'static/dataset/coco_val_set/774.jpg': 'plant', 'static/dataset/coco_val_set/775.jpg': 'tile floor', 'static/dataset/coco_val_set/776.jpg': 'clouds', 'static/dataset/coco_val_set/777.jpg': 'tree', 'static/dataset/coco_val_set/780.jpg': 'food', 'static/dataset/coco_val_set/783.jpg': 'playingfield', 'static/dataset/coco_val_set/784.jpg': 'wood floor', 'static/dataset/coco_val_set/785.jpg': 'counter', 'static/dataset/coco_val_set/786.jpg': 'pavement', 'static/dataset/coco_val_set/787.jpg': 'food', 'static/dataset/coco_val_set/791.jpg': 'table', 'static/dataset/coco_val_set/792.jpg': 'curtain', 'static/dataset/coco_val_set/793.jpg': 'food', 'static/dataset/coco_val_set/794.jpg': 'grass', 'static/dataset/coco_val_set/796.jpg': 'stone', 'static/dataset/coco_val_set/797.jpg': 'tree', 'static/dataset/coco_val_set/801.jpg': 'plant', 'static/dataset/coco_val_set/802.jpg': 'grass', 'static/dataset/coco_val_set/803.jpg': 'grass', 'static/dataset/coco_val_set/805.jpg': 'tent', 'static/dataset/coco_val_set/807.jpg': 'animal', 'static/dataset/coco_val_set/808.jpg': 'snow', 'static/dataset/coco_val_set/810.jpg': 'tree', 'static/dataset/coco_val_set/811.jpg': 'grass', 'static/dataset/coco_val_set/812.jpg': 'snow', 'static/dataset/coco_val_set/813.jpg': 'clouds', 'static/dataset/coco_val_set/815.jpg': 'wood floor', 'static/dataset/coco_val_set/817.jpg': 'tree', 'static/dataset/coco_val_set/818.jpg': 'playingfield', 'static/dataset/coco_val_set/819.jpg': 'board', 'static/dataset/coco_val_set/822.jpg': 'children', 'static/dataset/coco_val_set/823.jpg': 'tree', 'static/dataset/coco_val_set/824.jpg': 'tree', 'static/dataset/coco_val_set/826.jpg': 'counter', 'static/dataset/coco_val_set/828.jpg': 'snow', 'static/dataset/coco_val_set/830.jpg': 'flower', 'static/dataset/coco_val_set/833.jpg': 'tree', 'static/dataset/coco_val_set/834.jpg': 'table', 'static/dataset/coco_val_set/835.jpg': 'window', 'static/dataset/coco_val_set/838.jpg': 'clouds', 'static/dataset/coco_val_set/839.jpg': 'tree', 'static/dataset/coco_val_set/841.jpg': 'table', 'static/dataset/coco_val_set/842.jpg': 'sea', 'static/dataset/coco_val_set/843.jpg': 'curtain', 'static/dataset/coco_val_set/846.jpg': 'house', 'static/dataset/coco_val_set/849.jpg': 'tree', 'static/dataset/coco_val_set/852.jpg': 'table', 'static/dataset/coco_val_set/854.jpg': 'tree', 'static/dataset/coco_val_set/855.jpg': 'pavement', 'static/dataset/coco_val_set/856.jpg': 'road', 'static/dataset/coco_val_set/857.jpg': 'mirror-stuff', 'static/dataset/coco_val_set/858.jpg': 'branch', 'static/dataset/coco_val_set/860.jpg': 'table', 'static/dataset/coco_val_set/862.jpg': 'road', 'static/dataset/coco_val_set/863.jpg': 'tree', 'static/dataset/coco_val_set/864.jpg': 'playingfield', 'static/dataset/coco_val_set/865.jpg': 'window', 'static/dataset/coco_val_set/866.jpg': 'wood floor', 'static/dataset/coco_val_set/867.jpg': 'tree', 'static/dataset/coco_val_set/868.jpg': 'clouds', 'static/dataset/coco_val_set/870.jpg': 'hills', 'static/dataset/coco_val_set/872.jpg': 'sea', 'static/dataset/coco_val_set/873.jpg': 'mirror-stuff', 'static/dataset/coco_val_set/874.jpg': 'table', 'static/dataset/coco_val_set/875.jpg': 'road', 'static/dataset/coco_val_set/877.jpg': 'grass', 'static/dataset/coco_val_set/878.jpg': 'tile floor', 'static/dataset/coco_val_set/882.jpg': 'playingfield', 'static/dataset/coco_val_set/884.jpg': 'mirror-stuff', 'static/dataset/coco_val_set/885.jpg': 'grass', 'static/dataset/coco_val_set/887.jpg': 'sand', 'static/dataset/coco_val_set/889.jpg': 'food', 'static/dataset/coco_val_set/890.jpg': 'tree', 'static/dataset/coco_val_set/893.jpg': 'window', 'static/dataset/coco_val_set/894.jpg': 'clouds', 'static/dataset/coco_val_set/895.jpg': 'napkin', 'static/dataset/coco_val_set/898.jpg': 'window', 'static/dataset/coco_val_set/899.jpg': 'road', 'static/dataset/coco_val_set/901.jpg': 'table', 'static/dataset/coco_val_set/905.jpg': 'window', 'static/dataset/coco_val_set/906.jpg': 'tree', 'static/dataset/coco_val_set/907.jpg': 'plant', 'static/dataset/coco_val_set/908.jpg': 'pavement', 'static/dataset/coco_val_set/909.jpg': 'window', 'static/dataset/coco_val_set/910.jpg': 'snow', 'static/dataset/coco_val_set/911.jpg': 'grass', 'static/dataset/coco_val_set/913.jpg': 'grass', 'static/dataset/coco_val_set/915.jpg': 'keyboard', 'static/dataset/coco_val_set/916.jpg': 'carpet', 'static/dataset/coco_val_set/917.jpg': 'table', 'static/dataset/coco_val_set/919.jpg': 'pavement', 'static/dataset/coco_val_set/921.jpg': 'grass', 'static/dataset/coco_val_set/922.jpg': 'pavement', 'static/dataset/coco_val_set/923.jpg': 'men', 'static/dataset/coco_val_set/924.jpg': 'carpet', 'static/dataset/coco_val_set/925.jpg': 'tree', 'static/dataset/coco_val_set/926.jpg': 'table', 'static/dataset/coco_val_set/927.jpg': 'pavement', 'static/dataset/coco_val_set/928.jpg': 'sand', 'static/dataset/coco_val_set/930.jpg': 'tile floor', 'static/dataset/coco_val_set/931.jpg': 'tree', 'static/dataset/coco_val_set/932.jpg': 'grass', 'static/dataset/coco_val_set/935.jpg': 'sky', 'static/dataset/coco_val_set/936.jpg': 'cloth', 'static/dataset/coco_val_set/937.jpg': 'grass', 'static/dataset/coco_val_set/938.jpg': 'pavement', 'static/dataset/coco_val_set/939.jpg': 'road', 'static/dataset/coco_val_set/942.jpg': 'cloth', 'static/dataset/coco_val_set/943.jpg': 'bush', 'static/dataset/coco_val_set/944.jpg': 'road', 'static/dataset/coco_val_set/945.jpg': 'house', 'static/dataset/coco_val_set/946.jpg': 'leaves', 'static/dataset/coco_val_set/947.jpg': 'blanket', 'static/dataset/coco_val_set/949.jpg': 'screen', 'static/dataset/coco_val_set/950.jpg': 'shelf', 'static/dataset/coco_val_set/951.jpg': 'tree', 'static/dataset/coco_val_set/952.jpg': 'wood floor', 'static/dataset/coco_val_set/954.jpg': 'table', 'static/dataset/coco_val_set/957.jpg': 'grass', 'static/dataset/coco_val_set/958.jpg': 'plant', 'static/dataset/coco_val_set/961.jpg': 'food', 'static/dataset/coco_val_set/962.jpg': 'window', 'static/dataset/coco_val_set/963.jpg': 'bags', 'static/dataset/coco_val_set/966.jpg': 'bags', 'static/dataset/coco_val_set/968.jpg': 'railroad', 'static/dataset/coco_val_set/970.jpg': 'curtain', 'static/dataset/coco_val_set/974.jpg': 'sand', 'static/dataset/coco_val_set/975.jpg': 'counter', 'static/dataset/coco_val_set/978.jpg': 'river', 'static/dataset/coco_val_set/980.jpg': 'rock', 'static/dataset/coco_val_set/981.jpg': 'table', 'static/dataset/coco_val_set/982.jpg': 'stairs', 'static/dataset/coco_val_set/987.jpg': 'snow', 'static/dataset/coco_val_set/989.jpg': 'pavement', 'static/dataset/coco_val_set/990.jpg': 'animal', 'static/dataset/coco_val_set/991.jpg': 'shelf', 'static/dataset/coco_val_set/992.jpg': 'grass', 'static/dataset/coco_val_set/993.jpg': 'food', 'static/dataset/coco_val_set/994.jpg': 'tree', 'static/dataset/coco_val_set/995.jpg': 'animal', 'static/dataset/coco_val_set/996.jpg': 'grass', 'static/dataset/coco_val_set/997.jpg': 'snow', 'static/dataset/coco_val_set/998.jpg': 'grass', 'static/dataset/coco_val_set/1000.jpg': 'plant', 'static/dataset/coco_val_set/1008.jpg': 'road', 'static/dataset/coco_val_set/1065.jpg': 'tree', 'static/dataset/coco_val_set/1080.jpg': 'tree', 'static/dataset/coco_val_set/1094.jpg': 'pavement', 'static/dataset/coco_val_set/1136.jpg': 'plant', 'static/dataset/coco_val_set/1139.jpg': 'pavement', 'static/dataset/coco_val_set/1140.jpg': 'playingfield', 'static/dataset/coco_val_set/1159.jpg': 'snow', 'static/dataset/coco_val_set/1200.jpg': 'clock', 'static/dataset/coco_val_set/1209.jpg': 'clouds', 'static/dataset/coco_val_set/1234.jpg': 'carpet', 'static/dataset/coco_val_set/1249.jpg': 'curtain', 'static/dataset/coco_val_set/1267.jpg': 'sand', 'static/dataset/coco_val_set/1276.jpg': 'skyscraper', 'static/dataset/coco_val_set/1282.jpg': 'carpet', 'static/dataset/coco_val_set/1284.jpg': 'window', 'static/dataset/coco_val_set/1333.jpg': 'sea', 'static/dataset/coco_val_set/1334.jpg': 'table', 'static/dataset/coco_val_set/1391.jpg': 'playingfield', 'static/dataset/coco_val_set/1395.jpg': 'clouds', 'static/dataset/coco_val_set/1425.jpg': 'wood floor', 'static/dataset/coco_val_set/1443.jpg': 'blanket', 'static/dataset/coco_val_set/1475.jpg': 'carpet', 'static/dataset/coco_val_set/1564.jpg': 'carpet', 'static/dataset/coco_val_set/1621.jpg': 'pavement', 'static/dataset/coco_val_set/1634.jpg': 'wood floor', 'static/dataset/coco_val_set/1650.jpg': 'blanket', 'static/dataset/coco_val_set/1652.jpg': 'fruit', 'static/dataset/coco_val_set/1669.jpg': 'sea', 'static/dataset/coco_val_set/1691.jpg': 'tree', 'static/dataset/coco_val_set/1701.jpg': 'sea', 'static/dataset/coco_val_set/1712.jpg': 'seats', 'static/dataset/coco_val_set/1725.jpg': 'pavement', 'static/dataset/coco_val_set/1727.jpg': 'cloth', 'static/dataset/coco_val_set/1736.jpg': 'screen', 'static/dataset/coco_val_set/1766.jpg': 'phone', 'static/dataset/coco_val_set/1797.jpg': 'tree', 'static/dataset/coco_val_set/1815.jpg': 'table', 'static/dataset/coco_val_set/1824.jpg': 'table', 'static/dataset/coco_val_set/1856.jpg': 'pavement', 'static/dataset/coco_val_set/1868.jpg': 'fruit', 'static/dataset/coco_val_set/1883.jpg': 'clock', 'static/dataset/coco_val_set/1887.jpg': 'tree', 'static/dataset/coco_val_set/1931.jpg': 'sea', 'static/dataset/coco_val_set/1936.jpg': 'table', 'static/dataset/coco_val_set/1960.jpg': 'tree', 'static/dataset/coco_val_set/1968.jpg': 'road', 'static/dataset/coco_val_set/2015.jpg': 'counter', 'static/dataset/coco_val_set/2022.jpg': 'grass', 'static/dataset/coco_val_set/2127.jpg': 'clouds', 'static/dataset/coco_val_set/2131.jpg': 'window', 'static/dataset/coco_val_set/2138.jpg': 'pavement', 'static/dataset/coco_val_set/2155.jpg': 'cage', 'static/dataset/coco_val_set/2164.jpg': 'salad', 'static/dataset/coco_val_set/2169.jpg': 'blanket', 'static/dataset/coco_val_set/2173.jpg': 'pavement', 'static/dataset/coco_val_set/2187.jpg': 'pavement', 'static/dataset/coco_val_set/2227.jpg': 'wood floor', 'static/dataset/coco_val_set/2276.jpg': 'face', 'static/dataset/coco_val_set/2278.jpg': 'tree', 'static/dataset/coco_val_set/2312.jpg': 'mirror-stuff', 'static/dataset/coco_val_set/2337.jpg': 'window', 'static/dataset/coco_val_set/2353.jpg': 'fog', 'static/dataset/coco_val_set/2382.jpg': 'grass', 'static/dataset/coco_val_set/2387.jpg': 'table', 'static/dataset/coco_val_set/2411.jpg': 'sand', 'static/dataset/coco_val_set/2428.jpg': 'clouds', 'static/dataset/coco_val_set/2465.jpg': 'snow', 'static/dataset/coco_val_set/2526.jpg': 'curtain', 'static/dataset/coco_val_set/2532.jpg': 'platform', 'static/dataset/coco_val_set/2546.jpg': 'tile floor', 'static/dataset/coco_val_set/2557.jpg': 'carpet', 'static/dataset/coco_val_set/2562.jpg': 'road', 'static/dataset/coco_val_set/2595.jpg': 'food', 'static/dataset/coco_val_set/2614.jpg': 'table', 'static/dataset/coco_val_set/2638.jpg': 'playingfield', 'static/dataset/coco_val_set/2642.jpg': 'plant', 'static/dataset/coco_val_set/2659.jpg': 'tree', 'static/dataset/coco_val_set/2672.jpg': 'grass', 'static/dataset/coco_val_set/2674.jpg': 'snow', 'static/dataset/coco_val_set/2694.jpg': 'blanket', 'static/dataset/coco_val_set/2744.jpg': 'sand', 'static/dataset/coco_val_set/2749.jpg': 'face', 'static/dataset/coco_val_set/2753.jpg': 'table', 'static/dataset/coco_val_set/2757.jpg': 'pavement', 'static/dataset/coco_val_set/2810.jpg': 'tile floor', 'static/dataset/coco_val_set/2818.jpg': 'snow', 'static/dataset/coco_val_set/2860.jpg': 'sea', 'static/dataset/coco_val_set/2870.jpg': 'tile floor', 'static/dataset/coco_val_set/2872.jpg': 'blanket', 'static/dataset/coco_val_set/2915.jpg': 'grass', 'static/dataset/coco_val_set/2959.jpg': 'tree', 'static/dataset/coco_val_set/2970.jpg': 'banner', 'static/dataset/coco_val_set/2982.jpg': 'grass', 'static/dataset/coco_val_set/3003.jpg': 'window', 'static/dataset/coco_val_set/3020.jpg': 'clouds', 'static/dataset/coco_val_set/3051.jpg': 'grass', 'static/dataset/coco_val_set/3087.jpg': 'sea', 'static/dataset/coco_val_set/3118.jpg': 'window', 'static/dataset/coco_val_set/3172.jpg': 'fruit', 'static/dataset/coco_val_set/3182.jpg': 'tree', 'static/dataset/coco_val_set/3202.jpg': 'grass', 'static/dataset/coco_val_set/3204.jpg': 'table', 'static/dataset/coco_val_set/3248.jpg': 'window', 'static/dataset/coco_val_set/3258.jpg': 'cloth', 'static/dataset/coco_val_set/3266.jpg': 'playingfield', 'static/dataset/coco_val_set/3269.jpg': 'tent', 'static/dataset/coco_val_set/3272.jpg': 'sand', 'static/dataset/coco_val_set/3319.jpg': 'sea', 'static/dataset/coco_val_set/3323.jpg': 'mirror-stuff', 'static/dataset/coco_val_set/3364.jpg': 'wood floor', 'static/dataset/coco_val_set/3366.jpg': 'cage', 'static/dataset/coco_val_set/3374.jpg': 'counter', 'static/dataset/coco_val_set/3393.jpg': 'fruit', 'static/dataset/coco_val_set/3402.jpg': 'grass', 'static/dataset/coco_val_set/3541.jpg': 'tree', 'static/dataset/coco_val_set/3542.jpg': 'grass', 'static/dataset/coco_val_set/3555.jpg': 'mirror-stuff', 'static/dataset/coco_val_set/3562.jpg': 'playingfield', 'static/dataset/coco_val_set/3571.jpg': 'pavement', 'static/dataset/coco_val_set/3589.jpg': 'pavement', 'static/dataset/coco_val_set/3703.jpg': 'flower', 'static/dataset/coco_val_set/3716.jpg': 'playingfield', 'static/dataset/coco_val_set/3751.jpg': 'river', 'static/dataset/coco_val_set/3770.jpg': 'leaves', 'static/dataset/coco_val_set/3805.jpg': 'tree', 'static/dataset/coco_val_set/3808.jpg': 'pavement', 'static/dataset/coco_val_set/3828.jpg': 'straw', 'static/dataset/coco_val_set/3855.jpg': 'tree', 'static/dataset/coco_val_set/3878.jpg': 'pavement', 'static/dataset/coco_val_set/3898.jpg': 'counter', 'static/dataset/coco_val_set/3917.jpg': 'road', 'static/dataset/coco_val_set/3932.jpg': 'sea', 'static/dataset/coco_val_set/3958.jpg': 'table', 'static/dataset/coco_val_set/3976.jpg': 'road', 'static/dataset/coco_val_set/3999.jpg': 'wood floor', 'static/dataset/coco_val_set/4053.jpg': 'window-blind', 'static/dataset/coco_val_set/4056.jpg': 'window', 'static/dataset/coco_val_set/4089.jpg': 'rock', 'static/dataset/coco_val_set/4123.jpg': 'river', 'static/dataset/coco_val_set/4127.jpg': 'tie', 'static/dataset/coco_val_set/4158.jpg': 'playingfield', 'static/dataset/coco_val_set/4212.jpg': 'tree', 'static/dataset/coco_val_set/4250.jpg': 'window', 'static/dataset/coco_val_set/4316.jpg': 'road', 'static/dataset/coco_val_set/4319.jpg': 'pavement', 'static/dataset/coco_val_set/4334.jpg': 'plant', 'static/dataset/coco_val_set/4355.jpg': 'clouds', 'static/dataset/coco_val_set/4358.jpg': 'food', 'static/dataset/coco_val_set/4374.jpg': 'playingfield', 'static/dataset/coco_val_set/4395.jpg': 'clouds', 'static/dataset/coco_val_set/4415.jpg': 'sky', 'static/dataset/coco_val_set/4418.jpg': 'window', 'static/dataset/coco_val_set/4441.jpg': 'tree', 'static/dataset/coco_val_set/4478.jpg': 'wood floor', 'static/dataset/coco_val_set/4487.jpg': 'table', 'static/dataset/coco_val_set/4491.jpg': 'table', 'static/dataset/coco_val_set/4581.jpg': 'clouds', 'static/dataset/coco_val_set/4593.jpg': 'sea', 'static/dataset/coco_val_set/4621.jpg': 'sea', 'static/dataset/coco_val_set/4640.jpg': 'road', 'static/dataset/coco_val_set/4653.jpg': 'snow', 'static/dataset/coco_val_set/4687.jpg': 'house', 'static/dataset/coco_val_set/4704.jpg': 'grass', 'static/dataset/coco_val_set/4707.jpg': 'table', 'static/dataset/coco_val_set/4743.jpg': 'table', 'static/dataset/coco_val_set/4753.jpg': 'skyscraper', 'static/dataset/coco_val_set/4775.jpg': 'leaves', 'static/dataset/coco_val_set/4787.jpg': 'leaves', 'static/dataset/coco_val_set/4798.jpg': 'table', 'static/dataset/coco_val_set/4838.jpg': 'grass', 'static/dataset/coco_val_set/4871.jpg': 'road', 'static/dataset/coco_val_set/4896.jpg': 'playingfield', 'static/dataset/coco_val_set/4916.jpg': 'table', 'static/dataset/coco_val_set/1.jpg': 'Chair', 'static/dataset/coco_val_set/1001.jpg': 'Computer Keyboard', 'static/dataset/coco_val_set/1003.jpg': 'Plant', 'static/dataset/coco_val_set/1004.jpg': 'Downtown', 'static/dataset/coco_val_set/1006.jpg': 'Sweets', 'static/dataset/coco_val_set/1007.jpg': 'Furniture', 'static/dataset/coco_val_set/1010.jpg': 'Person', 'static/dataset/coco_val_set/1011.jpg': 'Spire', 'static/dataset/coco_val_set/1012.jpg': 'Monitor', 'static/dataset/coco_val_set/1014.jpg': 'Sandwich', 'static/dataset/coco_val_set/1015.jpg': 'Person', 'static/dataset/coco_val_set/1017.jpg': 'Horse', 'static/dataset/coco_val_set/1019.jpg': 'Person', 'static/dataset/coco_val_set/102.jpg': 'Bed', 'static/dataset/coco_val_set/1020.jpg': 'Patio', 'static/dataset/coco_val_set/1022.jpg': 'Advertisement', 'static/dataset/coco_val_set/1024.jpg': 'Person', 'static/dataset/coco_val_set/1025.jpg': 'Person', 'static/dataset/coco_val_set/1026.jpg': 'Car', 'static/dataset/coco_val_set/1027.jpg': 'Person', 'static/dataset/coco_val_set/1028.jpg': 'Bus', 'static/dataset/coco_val_set/1030.jpg': 'Symbol', 'static/dataset/coco_val_set/1031.jpg': 'Bird', 'static/dataset/coco_val_set/1032.jpg': 'Kindergarten', 'static/dataset/coco_val_set/1034.jpg': 'Truck', 'static/dataset/coco_val_set/1036.jpg': 'Bowl', 'static/dataset/coco_val_set/1039.jpg': 'Person', 'static/dataset/coco_val_set/1040.jpg': 'Landscape', 'static/dataset/coco_val_set/1042.jpg': 'Cow', 'static/dataset/coco_val_set/1043.jpg': 'Furniture', 'static/dataset/coco_val_set/1044.jpg': 'Bus', 'static/dataset/coco_val_set/1045.jpg': 'Zebra', 'static/dataset/coco_val_set/1047.jpg': 'Land', 'static/dataset/coco_val_set/1048.jpg': 'Person', 'static/dataset/coco_val_set/1049.jpg': 'Zebra', 'static/dataset/coco_val_set/1051.jpg': 'Person', 'static/dataset/coco_val_set/1052.jpg': 'Dog', 'static/dataset/coco_val_set/1053.jpg': 'Person', 'static/dataset/coco_val_set/1054.jpg': 'Bicycle', 'static/dataset/coco_val_set/1055.jpg': 'Living Room', 'static/dataset/coco_val_set/1056.jpg': 'Cow', 'static/dataset/coco_val_set/1057.jpg': 'Cat', 'static/dataset/coco_val_set/1059.jpg': 'Backpack', 'static/dataset/coco_val_set/106.jpg': 'Clothing', 'static/dataset/coco_val_set/1060.jpg': 'Bird', 'static/dataset/coco_val_set/1062.jpg': 'Person', 'static/dataset/coco_val_set/1063.jpg': 'Elephant', 'static/dataset/coco_val_set/1064.jpg': 'Person', 'static/dataset/coco_val_set/1066.jpg': 'Car', 'static/dataset/coco_val_set/1067.jpg': 'Mammal', 'static/dataset/coco_val_set/1068.jpg': 'Room', 'static/dataset/coco_val_set/1069.jpg': 'Person', 'static/dataset/coco_val_set/107.jpg': 'Bathtub', 'static/dataset/coco_val_set/1070.jpg': 'Person', 'static/dataset/coco_val_set/1072.jpg': 'Pizza', 'static/dataset/coco_val_set/1073.jpg': 'Seasoning', 'static/dataset/coco_val_set/1074.jpg': 'Sea', 'static/dataset/coco_val_set/1075.jpg': 'Person', 'static/dataset/coco_val_set/1076.jpg': 'Nature', 'static/dataset/coco_val_set/1077.jpg': 'Person', 'static/dataset/coco_val_set/1078.jpg': 'Bear', 'static/dataset/coco_val_set/1079.jpg': 'Wood', 'static/dataset/coco_val_set/108.jpg': 'Bed', 'static/dataset/coco_val_set/1082.jpg': 'Flooring', 'static/dataset/coco_val_set/1083.jpg': 'Person', 'static/dataset/coco_val_set/1085.jpg': 'Plant', 'static/dataset/coco_val_set/1087.jpg': 'Cream', 'static/dataset/coco_val_set/1088.jpg': 'Adventure', 'static/dataset/coco_val_set/1089.jpg': 'Person', 'static/dataset/coco_val_set/109.jpg': 'Clothing', 'static/dataset/coco_val_set/1090.jpg': 'Person', 'static/dataset/coco_val_set/1091.jpg': 'Zebra', 'static/dataset/coco_val_set/1092.jpg': 'Restaurant', 'static/dataset/coco_val_set/1093.jpg': 'Spoon', 'static/dataset/coco_val_set/1095.jpg': 'Room', 'static/dataset/coco_val_set/1096.jpg': 'Nature', 'static/dataset/coco_val_set/1098.jpg': 'Person', 'static/dataset/coco_val_set/1100.jpg': 'Person', 'static/dataset/coco_val_set/1102.jpg': 'Architecture', 'static/dataset/coco_val_set/1103.jpg': 'Railway', 'static/dataset/coco_val_set/1105.jpg': 'Person', 'static/dataset/coco_val_set/1108.jpg': 'Person', 'static/dataset/coco_val_set/1109.jpg': 'Clothing', 'static/dataset/coco_val_set/1111.jpg': 'Furniture', 'static/dataset/coco_val_set/1112.jpg': 'Husky', 'static/dataset/coco_val_set/1113.jpg': 'Bread', 'static/dataset/coco_val_set/1114.jpg': 'Airplane', 'static/dataset/coco_val_set/1115.jpg': 'Tower', 'static/dataset/coco_val_set/1118.jpg': 'Abyssinian', 'static/dataset/coco_val_set/1119.jpg': 'Plant', 'static/dataset/coco_val_set/1120.jpg': 'Appliance', 'static/dataset/coco_val_set/1121.jpg': 'Plant', 'static/dataset/coco_val_set/1122.jpg': 'Person', 'static/dataset/coco_val_set/1124.jpg': 'Person', 'static/dataset/coco_val_set/1125.jpg': 'Brown Bear', 'static/dataset/coco_val_set/1127.jpg': 'Person', 'static/dataset/coco_val_set/1128.jpg': 'Person', 'static/dataset/coco_val_set/1129.jpg': 'Railway', 'static/dataset/coco_val_set/1130.jpg': 'Road', 'static/dataset/coco_val_set/1131.jpg': 'Marina', 'static/dataset/coco_val_set/1132.jpg': 'Person', 'static/dataset/coco_val_set/1133.jpg': 'Sunglasses', 'static/dataset/coco_val_set/1134.jpg': 'Person', 'static/dataset/coco_val_set/1135.jpg': 'Person', 'static/dataset/coco_val_set/1137.jpg': 'Bench', 'static/dataset/coco_val_set/1141.jpg': 'Outdoors', 'static/dataset/coco_val_set/1142.jpg': 'Sink', 'static/dataset/coco_val_set/1145.jpg': 'Giraffe', 'static/dataset/coco_val_set/1146.jpg': 'Railway', 'static/dataset/coco_val_set/1148.jpg': 'Furniture', 'static/dataset/coco_val_set/1149.jpg': 'Airplane', 'static/dataset/coco_val_set/1150.jpg': 'Car', 'static/dataset/coco_val_set/1151.jpg': 'Furniture', 'static/dataset/coco_val_set/1152.jpg': 'Person', 'static/dataset/coco_val_set/1153.jpg': 'Bicycle', 'static/dataset/coco_val_set/1154.jpg': 'Flying', 'static/dataset/coco_val_set/1155.jpg': 'Chair', 'static/dataset/coco_val_set/1156.jpg': 'Clock Tower', 'static/dataset/coco_val_set/1157.jpg': 'Train', 'static/dataset/coco_val_set/1160.jpg': 'Chair', 'static/dataset/coco_val_set/1161.jpg': 'Oven', 'static/dataset/coco_val_set/1162.jpg': 'Furniture', 'static/dataset/coco_val_set/1163.jpg': 'Person', 'static/dataset/coco_val_set/1166.jpg': 'Person', 'static/dataset/coco_val_set/1167.jpg': 'Person', 'static/dataset/coco_val_set/1168.jpg': 'Person', 'static/dataset/coco_val_set/1171.jpg': 'Train', 'static/dataset/coco_val_set/1172.jpg': 'Flying', 'static/dataset/coco_val_set/1173.jpg': 'Citrus Fruit', 'static/dataset/coco_val_set/1174.jpg': 'Dish', 'static/dataset/coco_val_set/1175.jpg': 'Dog', 'static/dataset/coco_val_set/1176.jpg': 'Fire Hydrant', 'static/dataset/coco_val_set/1177.jpg': 'Bicycle', 'static/dataset/coco_val_set/1178.jpg': 'Indoors', 'static/dataset/coco_val_set/118.jpg': 'Sheep', 'static/dataset/coco_val_set/1181.jpg': 'Person', 'static/dataset/coco_val_set/1182.jpg': 'Monitor', 'static/dataset/coco_val_set/1184.jpg': 'Cream', 'static/dataset/coco_val_set/1186.jpg': 'Airplane', 'static/dataset/coco_val_set/1188.jpg': 'Amusement Park', 'static/dataset/coco_val_set/1189.jpg': 'Dining Table', 'static/dataset/coco_val_set/1190.jpg': 'Person', 'static/dataset/coco_val_set/1191.jpg': 'Horse', 'static/dataset/coco_val_set/1192.jpg': 'Wheel', 'static/dataset/coco_val_set/1193.jpg': 'Road', 'static/dataset/coco_val_set/1194.jpg': 'Plant', 'static/dataset/coco_val_set/1195.jpg': 'Person', 'static/dataset/coco_val_set/1197.jpg': 'Clothing', 'static/dataset/coco_val_set/1198.jpg': 'Tower', 'static/dataset/coco_val_set/1199.jpg': 'Person', 'static/dataset/coco_val_set/122.jpg': 'Clothing', 'static/dataset/coco_val_set/125.jpg': 'Person', 'static/dataset/coco_val_set/129.jpg': 'Person', 'static/dataset/coco_val_set/13.jpg': 'Person', 'static/dataset/coco_val_set/135.jpg': 'Nature', 'static/dataset/coco_val_set/14.jpg': 'Burger', 'static/dataset/coco_val_set/140.jpg': 'Road', 'static/dataset/coco_val_set/141.jpg': 'Person', 'static/dataset/coco_val_set/146.jpg': 'Plant', 'static/dataset/coco_val_set/151.jpg': 'Car', 'static/dataset/coco_val_set/153.jpg': 'Bus', 'static/dataset/coco_val_set/156.jpg': 'Fire Hydrant', 'static/dataset/coco_val_set/157.jpg': 'Wasp', 'static/dataset/coco_val_set/166.jpg': 'Fireplace', 'static/dataset/coco_val_set/171.jpg': 'Chair', 'static/dataset/coco_val_set/175.jpg': 'Car', 'static/dataset/coco_val_set/177.jpg': 'Person', 'static/dataset/coco_val_set/182.jpg': 'Person', 'static/dataset/coco_val_set/185.jpg': 'Dining Table', 'static/dataset/coco_val_set/187.jpg': 'Tie', 'static/dataset/coco_val_set/192.jpg': 'Plant', 'static/dataset/coco_val_set/197.jpg': 'Hat', 'static/dataset/coco_val_set/20.jpg': 'Airplane', 'static/dataset/coco_val_set/201.jpg': 'Person', 'static/dataset/coco_val_set/21.jpg': 'Zebra', 'static/dataset/coco_val_set/213.jpg': 'Sitting', 'static/dataset/coco_val_set/214.jpg': 'Airplane', 'static/dataset/coco_val_set/215.jpg': 'Person', 'static/dataset/coco_val_set/221.jpg': 'Sphere', 'static/dataset/coco_val_set/226.jpg': 'Water', 'static/dataset/coco_val_set/228.jpg': 'Snowboarding', 'static/dataset/coco_val_set/232.jpg': 'Furniture', 'static/dataset/coco_val_set/238.jpg': 'Hat', 'static/dataset/coco_val_set/24.jpg': 'Apple', 'static/dataset/coco_val_set/244.jpg': 'Train Station', 'static/dataset/coco_val_set/245.jpg': 'Sea', 'static/dataset/coco_val_set/250.jpg': 'Monitor', 'static/dataset/coco_val_set/251.jpg': 'Symbol', 'static/dataset/coco_val_set/254.jpg': 'Car', 'static/dataset/coco_val_set/257.jpg': 'Person', 'static/dataset/coco_val_set/261.jpg': 'Furniture', 'static/dataset/coco_val_set/269.jpg': 'Appliance', 'static/dataset/coco_val_set/271.jpg': 'Path', 'static/dataset/coco_val_set/279.jpg': 'Chair', 'static/dataset/coco_val_set/288.jpg': 'Person', 'static/dataset/coco_val_set/290.jpg': 'Zebra', 'static/dataset/coco_val_set/299.jpg': 'Toilet', 'static/dataset/coco_val_set/3.jpg': 'Furniture', 'static/dataset/coco_val_set/300.jpg': 'Person', 'static/dataset/coco_val_set/301.jpg': 'Sea', 'static/dataset/coco_val_set/303.jpg': 'Nature', 'static/dataset/coco_val_set/307.jpg': 'Rock', 'static/dataset/coco_val_set/308.jpg': 'Tie', 'static/dataset/coco_val_set/313.jpg': 'Landing', 'static/dataset/coco_val_set/316.jpg': 'Person', 'static/dataset/coco_val_set/317.jpg': 'Zoo', 'static/dataset/coco_val_set/318.jpg': 'Person', 'static/dataset/coco_val_set/323.jpg': 'Plant', 'static/dataset/coco_val_set/329.jpg': 'Person', 'static/dataset/coco_val_set/330.jpg': 'Pc', 'static/dataset/coco_val_set/332.jpg': 'Person', 'static/dataset/coco_val_set/333.jpg': 'Furniture', 'static/dataset/coco_val_set/334.jpg': 'Teddy Bear', 'static/dataset/coco_val_set/337.jpg': 'Mobile Phone', 'static/dataset/coco_val_set/339.jpg': 'Living Room', 'static/dataset/coco_val_set/343.jpg': 'Nature', 'static/dataset/coco_val_set/353.jpg': 'Person', 'static/dataset/coco_val_set/356.jpg': 'Building', 'static/dataset/coco_val_set/357.jpg': 'Living Room', 'static/dataset/coco_val_set/363.jpg': 'Person', 'static/dataset/coco_val_set/364.jpg': 'Person', 'static/dataset/coco_val_set/378.jpg': 'Tie', 'static/dataset/coco_val_set/382.jpg': 'Mobile Phone', 'static/dataset/coco_val_set/389.jpg': 'Pizza', 'static/dataset/coco_val_set/391.jpg': 'Baseball Glove', 'static/dataset/coco_val_set/395.jpg': 'Person', 'static/dataset/coco_val_set/399.jpg': 'Chair', 'static/dataset/coco_val_set/4.jpg': 'Truck', 'static/dataset/coco_val_set/40.jpg': 'Banana', 'static/dataset/coco_val_set/400.jpg': 'Person', 'static/dataset/coco_val_set/401.jpg': 'Sea', 'static/dataset/coco_val_set/402.jpg': 'Furniture', 'static/dataset/coco_val_set/403.jpg': 'Plant', 'static/dataset/coco_val_set/404.jpg': 'Person', 'static/dataset/coco_val_set/406.jpg': 'Noodle', 'static/dataset/coco_val_set/412.jpg': 'Clothing', 'static/dataset/coco_val_set/413.jpg': 'Sheep', 'static/dataset/coco_val_set/421.jpg': 'Home Decor', 'static/dataset/coco_val_set/422.jpg': 'Person', 'static/dataset/coco_val_set/424.jpg': 'Lighting', 'static/dataset/coco_val_set/428.jpg': 'Horse', 'static/dataset/coco_val_set/429.jpg': 'Clothing', 'static/dataset/coco_val_set/43.jpg': 'Tie', 'static/dataset/coco_val_set/432.jpg': 'Shelter', 'static/dataset/coco_val_set/433.jpg': 'Grass', 'static/dataset/coco_val_set/435.jpg': 'Person', 'static/dataset/coco_val_set/436.jpg': 'Zebra', 'static/dataset/coco_val_set/445.jpg': 'Clothing', 'static/dataset/coco_val_set/463.jpg': 'Bus', 'static/dataset/coco_val_set/465.jpg': 'Landscape', 'static/dataset/coco_val_set/466.jpg': 'Phone', 'static/dataset/coco_val_set/473.jpg': 'Room', 'static/dataset/coco_val_set/478.jpg': 'Car', 'static/dataset/coco_val_set/481.jpg': 'Outdoors', 'static/dataset/coco_val_set/482.jpg': 'Clothing', 'static/dataset/coco_val_set/485.jpg': 'Person', 'static/dataset/coco_val_set/49.jpg': 'Bus', 'static/dataset/coco_val_set/490.jpg': 'Giraffe', 'static/dataset/coco_val_set/495.jpg': 'Person', 'static/dataset/coco_val_set/50.jpg': 'Person', 'static/dataset/coco_val_set/500.jpg': 'Bird', 'static/dataset/coco_val_set/502.jpg': 'Car', 'static/dataset/coco_val_set/512.jpg': 'Cat', 'static/dataset/coco_val_set/517.jpg': 'Symbol', 'static/dataset/coco_val_set/519.jpg': 'Tie', 'static/dataset/coco_val_set/521.jpg': 'Giraffe', 'static/dataset/coco_val_set/522.jpg': 'Laptop', 'static/dataset/coco_val_set/524.jpg': 'Room', 'static/dataset/coco_val_set/526.jpg': 'Railway', 'static/dataset/coco_val_set/530.jpg': 'Laptop', 'static/dataset/coco_val_set/533.jpg': 'Cow', 'static/dataset/coco_val_set/540.jpg': 'Cow', 'static/dataset/coco_val_set/542.jpg': 'Furniture', 'static/dataset/coco_val_set/544.jpg': 'Room', 'static/dataset/coco_val_set/546.jpg': 'Plant', 'static/dataset/coco_val_set/547.jpg': 'Person', 'static/dataset/coco_val_set/555.jpg': 'Person', 'static/dataset/coco_val_set/557.jpg': 'Cat', 'static/dataset/coco_val_set/56.jpg': 'Plant', 'static/dataset/coco_val_set/563.jpg': 'Person', 'static/dataset/coco_val_set/569.jpg': 'Person', 'static/dataset/coco_val_set/576.jpg': 'Person', 'static/dataset/coco_val_set/577.jpg': 'Person', 'static/dataset/coco_val_set/582.jpg': 'Sheep', 'static/dataset/coco_val_set/589.jpg': 'Pastry', 'static/dataset/coco_val_set/591.jpg': 'Person', 'static/dataset/coco_val_set/596.jpg': 'Road', 'static/dataset/coco_val_set/598.jpg': 'Sink', 'static/dataset/coco_val_set/6.jpg': 'Person', 'static/dataset/coco_val_set/605.jpg': 'Furniture', 'static/dataset/coco_val_set/607.jpg': 'Zebra', 'static/dataset/coco_val_set/610.jpg': 'Person', 'static/dataset/coco_val_set/611.jpg': 'Person', 'static/dataset/coco_val_set/614.jpg': 'Zebra', 'static/dataset/coco_val_set/615.jpg': 'Person', 'static/dataset/coco_val_set/617.jpg': 'Person', 'static/dataset/coco_val_set/618.jpg': 'Motorcycle', 'static/dataset/coco_val_set/619.jpg': 'Furniture', 'static/dataset/coco_val_set/620.jpg': 'Furniture', 'static/dataset/coco_val_set/621.jpg': 'Hangar', 'static/dataset/coco_val_set/623.jpg': 'Person', 'static/dataset/coco_val_set/625.jpg': 'Person', 'static/dataset/coco_val_set/626.jpg': 'Building', 'static/dataset/coco_val_set/627.jpg': 'Furniture', 'static/dataset/coco_val_set/633.jpg': 'Clothing', 'static/dataset/coco_val_set/634.jpg': 'Sea', 'static/dataset/coco_val_set/642.jpg': 'Chair', 'static/dataset/coco_val_set/652.jpg': 'Wheel', 'static/dataset/coco_val_set/653.jpg': 'Person', 'static/dataset/coco_val_set/662.jpg': 'Computer Keyboard', 'static/dataset/coco_val_set/663.jpg': 'Furniture', 'static/dataset/coco_val_set/665.jpg': 'Motorcycle', 'static/dataset/coco_val_set/666.jpg': 'Car', 'static/dataset/coco_val_set/667.jpg': 'Hat', 'static/dataset/coco_val_set/67.jpg': 'Room', 'static/dataset/coco_val_set/671.jpg': 'Sea', 'static/dataset/coco_val_set/673.jpg': 'Bear', 'static/dataset/coco_val_set/675.jpg': 'Horse', 'static/dataset/coco_val_set/685.jpg': 'Person', 'static/dataset/coco_val_set/690.jpg': 'Cat', 'static/dataset/coco_val_set/698.jpg': 'Dog', 'static/dataset/coco_val_set/699.jpg': 'Water', 'static/dataset/coco_val_set/705.jpg': 'Furniture', 'static/dataset/coco_val_set/707.jpg': 'Person', 'static/dataset/coco_val_set/711.jpg': 'Elephant', 'static/dataset/coco_val_set/712.jpg': 'Person', 'static/dataset/coco_val_set/713.jpg': 'Hot Dog', 'static/dataset/coco_val_set/716.jpg': 'Bus', 'static/dataset/coco_val_set/718.jpg': 'Airport', 'static/dataset/coco_val_set/729.jpg': 'Fork', 'static/dataset/coco_val_set/741.jpg': 'Laptop', 'static/dataset/coco_val_set/750.jpg': 'Fire Hydrant', 'static/dataset/coco_val_set/751.jpg': 'Dining Table', 'static/dataset/coco_val_set/759.jpg': 'Person', 'static/dataset/coco_val_set/768.jpg': 'Person', 'static/dataset/coco_val_set/770.jpg': 'Bench', 'static/dataset/coco_val_set/771.jpg': 'Tree', 'static/dataset/coco_val_set/773.jpg': 'Grass', 'static/dataset/coco_val_set/779.jpg': 'Airplane', 'static/dataset/coco_val_set/782.jpg': 'Person', 'static/dataset/coco_val_set/788.jpg': 'Hot Dog', 'static/dataset/coco_val_set/789.jpg': 'Zebra', 'static/dataset/coco_val_set/790.jpg': 'Fork', 'static/dataset/coco_val_set/795.jpg': 'Plant', 'static/dataset/coco_val_set/798.jpg': 'Car', 'static/dataset/coco_val_set/799.jpg': 'Person', 'static/dataset/coco_val_set/8.jpg': 'Clothing', 'static/dataset/coco_val_set/800.jpg': 'Bread', 'static/dataset/coco_val_set/806.jpg': 'Furniture', 'static/dataset/coco_val_set/809.jpg': 'Traffic Light', 'static/dataset/coco_val_set/816.jpg': 'Coffee Cup', 'static/dataset/coco_val_set/820.jpg': 'Cat', 'static/dataset/coco_val_set/825.jpg': 'Bear', 'static/dataset/coco_val_set/827.jpg': 'Elephant', 'static/dataset/coco_val_set/829.jpg': 'Monitor', 'static/dataset/coco_val_set/83.jpg': 'Plant', 'static/dataset/coco_val_set/831.jpg': 'Car', 'static/dataset/coco_val_set/832.jpg': 'Person', 'static/dataset/coco_val_set/836.jpg': 'Bird', 'static/dataset/coco_val_set/837.jpg': 'Person', 'static/dataset/coco_val_set/840.jpg': 'Airplane', 'static/dataset/coco_val_set/844.jpg': 'Tennis', 'static/dataset/coco_val_set/845.jpg': 'Flooring', 'static/dataset/coco_val_set/847.jpg': 'Noodle', 'static/dataset/coco_val_set/848.jpg': 'Airplane', 'static/dataset/coco_val_set/850.jpg': 'Person', 'static/dataset/coco_val_set/851.jpg': 'Person', 'static/dataset/coco_val_set/859.jpg': 'Person', 'static/dataset/coco_val_set/876.jpg': 'Clothing', 'static/dataset/coco_val_set/879.jpg': 'Elephant', 'static/dataset/coco_val_set/880.jpg': 'Bird', 'static/dataset/coco_val_set/883.jpg': 'Zebra', 'static/dataset/coco_val_set/888.jpg': 'Flooring', 'static/dataset/coco_val_set/891.jpg': 'Room', 'static/dataset/coco_val_set/892.jpg': 'Plant', 'static/dataset/coco_val_set/896.jpg': 'Clock Tower', 'static/dataset/coco_val_set/897.jpg': 'Person', 'static/dataset/coco_val_set/900.jpg': 'Furniture', 'static/dataset/coco_val_set/902.jpg': 'Railway', 'static/dataset/coco_val_set/912.jpg': 'Interior Design', 'static/dataset/coco_val_set/914.jpg': 'Bull', 'static/dataset/coco_val_set/918.jpg': 'Train', 'static/dataset/coco_val_set/920.jpg': 'Sea', 'static/dataset/coco_val_set/929.jpg': 'Cornbread', 'static/dataset/coco_val_set/934.jpg': 'Traffic Light', 'static/dataset/coco_val_set/941.jpg': 'Bear', 'static/dataset/coco_val_set/948.jpg': 'Sink', 'static/dataset/coco_val_set/960.jpg': 'Banana', 'static/dataset/coco_val_set/965.jpg': 'Banana', 'static/dataset/coco_val_set/967.jpg': 'Person', 'static/dataset/coco_val_set/969.jpg': 'Person', 'static/dataset/coco_val_set/971.jpg': 'Laptop', 'static/dataset/coco_val_set/973.jpg': 'Road', 'static/dataset/coco_val_set/979.jpg': 'Bed', 'static/dataset/coco_val_set/98.jpg': 'Truck', 'static/dataset/coco_val_set/983.jpg': 'Bird', 'static/dataset/coco_val_set/984.jpg': 'Wood', 'static/dataset/coco_val_set/985.jpg': 'Person', 'static/dataset/coco_val_set/986.jpg': 'Christmas Tree', 'static/dataset/coco_val_set/999.jpg': 'Person'}



var wrongWord = {'static/dataset/coco_val_set/2.jpg': 'fire hydrant', 'static/dataset/coco_val_set/5.jpg': 'vase', 'static/dataset/coco_val_set/7.jpg': 'stone', 'static/dataset/coco_val_set/9.jpg': 'door', 'static/dataset/coco_val_set/10.jpg': 'tile floor', 'static/dataset/coco_val_set/11.jpg': 'toilet', 'static/dataset/coco_val_set/12.jpg': 'fruit', 'static/dataset/coco_val_set/15.jpg': 'mountain', 'static/dataset/coco_val_set/16.jpg': 'cloth', 'static/dataset/coco_val_set/17.jpg': 'river', 'static/dataset/coco_val_set/18.jpg': 'skateboard', 'static/dataset/coco_val_set/19.jpg': 'book', 'static/dataset/coco_val_set/23.jpg': 'potted plant', 'static/dataset/coco_val_set/27.jpg': 'toilet', 'static/dataset/coco_val_set/28.jpg': 'laptop', 'static/dataset/coco_val_set/29.jpg': 'curtain', 'static/dataset/coco_val_set/30.jpg': 'bird', 'static/dataset/coco_val_set/32.jpg': 'couch', 'static/dataset/coco_val_set/33.jpg': 'tile floor', 'static/dataset/coco_val_set/34.jpg': 'orange', 'static/dataset/coco_val_set/35.jpg': 'sports ball', 'static/dataset/coco_val_set/36.jpg': 'fork', 'static/dataset/coco_val_set/38.jpg': 'bush', 'static/dataset/coco_val_set/39.jpg': 'sand', 'static/dataset/coco_val_set/42.jpg': 'baseball glove', 'static/dataset/coco_val_set/44.jpg': 'hat', 'static/dataset/coco_val_set/45.jpg': 'skyscraper', 'static/dataset/coco_val_set/46.jpg': 'traffic light', 'static/dataset/coco_val_set/48.jpg': 'stairs', 'static/dataset/coco_val_set/51.jpg': 'car', 'static/dataset/coco_val_set/52.jpg': 'tennis racket', 'static/dataset/coco_val_set/53.jpg': 'sea', 'static/dataset/coco_val_set/54.jpg': 'blender', 'static/dataset/coco_val_set/55.jpg': 'surfboard', 'static/dataset/coco_val_set/57.jpg': 'shoe', 'static/dataset/coco_val_set/58.jpg': 'railroad', 'static/dataset/coco_val_set/60.jpg': 'refrigerator', 'static/dataset/coco_val_set/62.jpg': 'sandwich', 'static/dataset/coco_val_set/63.jpg': 'tent', 'static/dataset/coco_val_set/64.jpg': 'spoon', 'static/dataset/coco_val_set/65.jpg': 'wood floor', 'static/dataset/coco_val_set/66.jpg': 'chair', 'static/dataset/coco_val_set/70.jpg': 'fruit', 'static/dataset/coco_val_set/71.jpg': 'cat', 'static/dataset/coco_val_set/72.jpg': 'desk', 'static/dataset/coco_val_set/73.jpg': 'baseball glove', 'static/dataset/coco_val_set/74.jpg': 'flower', 'static/dataset/coco_val_set/75.jpg': 'skyscraper', 'static/dataset/coco_val_set/76.jpg': 'napkin', 'static/dataset/coco_val_set/77.jpg': 'vase', 'static/dataset/coco_val_set/78.jpg': 'backpack', 'static/dataset/coco_val_set/79.jpg': 'window-blind', 'static/dataset/coco_val_set/80.jpg': 'street sign', 'static/dataset/coco_val_set/81.jpg': 'carrot', 'static/dataset/coco_val_set/82.jpg': 'river', 'static/dataset/coco_val_set/84.jpg': 'window', 'static/dataset/coco_val_set/85.jpg': 'toaster', 'static/dataset/coco_val_set/86.jpg': 'fruit', 'static/dataset/coco_val_set/87.jpg': 'couch', 'static/dataset/coco_val_set/88.jpg': 'person', 'static/dataset/coco_val_set/89.jpg': 'airplane', 'static/dataset/coco_val_set/90.jpg': 'toothbrush', 'static/dataset/coco_val_set/91.jpg': 'motorcycle', 'static/dataset/coco_val_set/92.jpg': 'snowboard', 'static/dataset/coco_val_set/93.jpg': 'bus', 'static/dataset/coco_val_set/94.jpg': 'mirror', 'static/dataset/coco_val_set/95.jpg': 'microwave', 'static/dataset/coco_val_set/96.jpg': 'bear', 'static/dataset/coco_val_set/97.jpg': 'dog', 'static/dataset/coco_val_set/99.jpg': 'fog', 'static/dataset/coco_val_set/100.jpg': 'blender', 'static/dataset/coco_val_set/101.jpg': 'kite', 'static/dataset/coco_val_set/103.jpg': 'clock', 'static/dataset/coco_val_set/104.jpg': 'playingfield', 'static/dataset/coco_val_set/105.jpg': 'cup', 'static/dataset/coco_val_set/111.jpg': 'snowboard', 'static/dataset/coco_val_set/112.jpg': 'branch', 'static/dataset/coco_val_set/113.jpg': 'suitcase', 'static/dataset/coco_val_set/114.jpg': 'knife', 'static/dataset/coco_val_set/115.jpg': 'tennis racket', 'static/dataset/coco_val_set/116.jpg': 'net', 'static/dataset/coco_val_set/117.jpg': 'donut', 'static/dataset/coco_val_set/119.jpg': 'kite', 'static/dataset/coco_val_set/120.jpg': 'leaves', 'static/dataset/coco_val_set/121.jpg': 'window', 'static/dataset/coco_val_set/123.jpg': 'chair', 'static/dataset/coco_val_set/124.jpg': 'tree', 'static/dataset/coco_val_set/126.jpg': 'toaster', 'static/dataset/coco_val_set/127.jpg': 'sheep', 'static/dataset/coco_val_set/128.jpg': 'bush', 'static/dataset/coco_val_set/130.jpg': 'sink', 'static/dataset/coco_val_set/131.jpg': 'truck', 'static/dataset/coco_val_set/132.jpg': 'bowl', 'static/dataset/coco_val_set/133.jpg': 'cat', 'static/dataset/coco_val_set/134.jpg': 'hair drier', 'static/dataset/coco_val_set/136.jpg': 'toaster', 'static/dataset/coco_val_set/137.jpg': 'hair drier', 'static/dataset/coco_val_set/138.jpg': 'road', 'static/dataset/coco_val_set/139.jpg': 'shoe', 'static/dataset/coco_val_set/142.jpg': 'handbag', 'static/dataset/coco_val_set/143.jpg': 'umbrella', 'static/dataset/coco_val_set/144.jpg': 'carrot', 'static/dataset/coco_val_set/145.jpg': 'stop sign', 'static/dataset/coco_val_set/148.jpg': 'cloth', 'static/dataset/coco_val_set/150.jpg': 'dog', 'static/dataset/coco_val_set/152.jpg': 'snow', 'static/dataset/coco_val_set/154.jpg': 'leaves', 'static/dataset/coco_val_set/158.jpg': 'platform', 'static/dataset/coco_val_set/159.jpg': 'shelf', 'static/dataset/coco_val_set/160.jpg': 'snow', 'static/dataset/coco_val_set/162.jpg': 'tv', 'static/dataset/coco_val_set/164.jpg': 'stairs', 'static/dataset/coco_val_set/165.jpg': 'kite', 'static/dataset/coco_val_set/167.jpg': 'car', 'static/dataset/coco_val_set/168.jpg': 'skyscraper', 'static/dataset/coco_val_set/169.jpg': 'cupboard', 'static/dataset/coco_val_set/172.jpg': 'stop sign', 'static/dataset/coco_val_set/173.jpg': 'blanket', 'static/dataset/coco_val_set/174.jpg': 'motorcycle', 'static/dataset/coco_val_set/176.jpg': 'baseball bat', 'static/dataset/coco_val_set/179.jpg': 'book', 'static/dataset/coco_val_set/180.jpg': 'stairs', 'static/dataset/coco_val_set/183.jpg': 'remote', 'static/dataset/coco_val_set/184.jpg': 'dining table', 'static/dataset/coco_val_set/186.jpg': 'laptop', 'static/dataset/coco_val_set/188.jpg': 'carrot', 'static/dataset/coco_val_set/190.jpg': 'bush', 'static/dataset/coco_val_set/191.jpg': 'desk', 'static/dataset/coco_val_set/194.jpg': 'fork', 'static/dataset/coco_val_set/195.jpg': 'sports ball', 'static/dataset/coco_val_set/196.jpg': 'refrigerator', 'static/dataset/coco_val_set/202.jpg': 'carrot', 'static/dataset/coco_val_set/203.jpg': 'tree', 'static/dataset/coco_val_set/204.jpg': 'spoon', 'static/dataset/coco_val_set/205.jpg': 'stop sign', 'static/dataset/coco_val_set/207.jpg': 'table', 'static/dataset/coco_val_set/208.jpg': 'knife', 'static/dataset/coco_val_set/209.jpg': 'plant', 'static/dataset/coco_val_set/210.jpg': 'net', 'static/dataset/coco_val_set/211.jpg': 'knife', 'static/dataset/coco_val_set/212.jpg': 'traffic light', 'static/dataset/coco_val_set/216.jpg': 'sea', 'static/dataset/coco_val_set/217.jpg': 'hot dog', 'static/dataset/coco_val_set/218.jpg': 'apple', 'static/dataset/coco_val_set/219.jpg': 'fog', 'static/dataset/coco_val_set/222.jpg': 'cup', 'static/dataset/coco_val_set/223.jpg': 'cat', 'static/dataset/coco_val_set/224.jpg': 'elephant', 'static/dataset/coco_val_set/225.jpg': 'donut', 'static/dataset/coco_val_set/227.jpg': 'snowboard', 'static/dataset/coco_val_set/229.jpg': 'skateboard', 'static/dataset/coco_val_set/230.jpg': 'zebra', 'static/dataset/coco_val_set/231.jpg': 'cup', 'static/dataset/coco_val_set/233.jpg': 'flower', 'static/dataset/coco_val_set/234.jpg': 'umbrella', 'static/dataset/coco_val_set/235.jpg': 'handbag', 'static/dataset/coco_val_set/236.jpg': 'giraffe', 'static/dataset/coco_val_set/237.jpg': 'airplane', 'static/dataset/coco_val_set/239.jpg': 'apple', 'static/dataset/coco_val_set/240.jpg': 'snowboard', 'static/dataset/coco_val_set/241.jpg': 'cup', 'static/dataset/coco_val_set/242.jpg': 'banana', 'static/dataset/coco_val_set/243.jpg': 'stairs', 'static/dataset/coco_val_set/246.jpg': 'baseball glove', 'static/dataset/coco_val_set/247.jpg': 'house', 'static/dataset/coco_val_set/248.jpg': 'fruit', 'static/dataset/coco_val_set/249.jpg': 'counter', 'static/dataset/coco_val_set/252.jpg': 'motorcycle', 'static/dataset/coco_val_set/253.jpg': 'truck', 'static/dataset/coco_val_set/255.jpg': 'truck', 'static/dataset/coco_val_set/256.jpg': 'sheep', 'static/dataset/coco_val_set/258.jpg': 'elephant', 'static/dataset/coco_val_set/259.jpg': 'road', 'static/dataset/coco_val_set/260.jpg': 'airplane', 'static/dataset/coco_val_set/263.jpg': 'giraffe', 'static/dataset/coco_val_set/264.jpg': 'carrot', 'static/dataset/coco_val_set/265.jpg': 'skis', 'static/dataset/coco_val_set/266.jpg': 'curtain', 'static/dataset/coco_val_set/267.jpg': 'mouse', 'static/dataset/coco_val_set/268.jpg': 'straw', 'static/dataset/coco_val_set/273.jpg': 'cow', 'static/dataset/coco_val_set/275.jpg': 'broccoli', 'static/dataset/coco_val_set/276.jpg': 'bicycle', 'static/dataset/coco_val_set/277.jpg': 'banana', 'static/dataset/coco_val_set/278.jpg': 'table', 'static/dataset/coco_val_set/280.jpg': 'toilet', 'static/dataset/coco_val_set/281.jpg': 'mirror', 'static/dataset/coco_val_set/282.jpg': 'laptop', 'static/dataset/coco_val_set/283.jpg': 'mirror-stuff', 'static/dataset/coco_val_set/284.jpg': 'baseball glove', 'static/dataset/coco_val_set/285.jpg': 'giraffe', 'static/dataset/coco_val_set/286.jpg': 'bear', 'static/dataset/coco_val_set/289.jpg': 'motorcycle', 'static/dataset/coco_val_set/292.jpg': 'surfboard', 'static/dataset/coco_val_set/293.jpg': 'scissors', 'static/dataset/coco_val_set/294.jpg': 'snowboard', 'static/dataset/coco_val_set/295.jpg': 'frisbee', 'static/dataset/coco_val_set/296.jpg': 'plant', 'static/dataset/coco_val_set/297.jpg': 'cell phone', 'static/dataset/coco_val_set/298.jpg': 'refrigerator', 'static/dataset/coco_val_set/302.jpg': 'couch', 'static/dataset/coco_val_set/304.jpg': 'sandwich', 'static/dataset/coco_val_set/305.jpg': 'fire hydrant', 'static/dataset/coco_val_set/306.jpg': 'traffic light', 'static/dataset/coco_val_set/309.jpg': 'backpack', 'static/dataset/coco_val_set/310.jpg': 'frisbee', 'static/dataset/coco_val_set/311.jpg': 'napkin', 'static/dataset/coco_val_set/312.jpg': 'bicycle', 'static/dataset/coco_val_set/314.jpg': 'cell phone', 'static/dataset/coco_val_set/315.jpg': 'stairs', 'static/dataset/coco_val_set/320.jpg': 'house', 'static/dataset/coco_val_set/321.jpg': 'blender', 'static/dataset/coco_val_set/322.jpg': 'stone', 'static/dataset/coco_val_set/324.jpg': 'hot dog', 'static/dataset/coco_val_set/325.jpg': 'bowl', 'static/dataset/coco_val_set/326.jpg': 'flower', 'static/dataset/coco_val_set/327.jpg': 'traffic light', 'static/dataset/coco_val_set/328.jpg': 'carrot', 'static/dataset/coco_val_set/331.jpg': 'orange', 'static/dataset/coco_val_set/335.jpg': 'hair brush', 'static/dataset/coco_val_set/336.jpg': 'skyscraper', 'static/dataset/coco_val_set/338.jpg': 'tent', 'static/dataset/coco_val_set/340.jpg': 'sheep', 'static/dataset/coco_val_set/341.jpg': 'elephant', 'static/dataset/coco_val_set/342.jpg': 'baseball glove', 'static/dataset/coco_val_set/345.jpg': 'toaster', 'static/dataset/coco_val_set/346.jpg': 'window', 'static/dataset/coco_val_set/347.jpg': 'counter', 'static/dataset/coco_val_set/348.jpg': 'fruit', 'static/dataset/coco_val_set/349.jpg': 'couch', 'static/dataset/coco_val_set/350.jpg': 'parking meter', 'static/dataset/coco_val_set/351.jpg': 'hair drier', 'static/dataset/coco_val_set/352.jpg': 'train', 'static/dataset/coco_val_set/354.jpg': 'cake', 'static/dataset/coco_val_set/355.jpg': 'bridge', 'static/dataset/coco_val_set/358.jpg': 'hat', 'static/dataset/coco_val_set/359.jpg': 'grass', 'static/dataset/coco_val_set/360.jpg': 'road', 'static/dataset/coco_val_set/361.jpg': 'umbrella', 'static/dataset/coco_val_set/362.jpg': 'potted plant', 'static/dataset/coco_val_set/365.jpg': 'sandwich', 'static/dataset/coco_val_set/367.jpg': 'napkin', 'static/dataset/coco_val_set/368.jpg': 'hair drier', 'static/dataset/coco_val_set/369.jpg': 'cell phone', 'static/dataset/coco_val_set/370.jpg': 'branch', 'static/dataset/coco_val_set/371.jpg': 'snowboard', 'static/dataset/coco_val_set/373.jpg': 'dog', 'static/dataset/coco_val_set/374.jpg': 'counter', 'static/dataset/coco_val_set/375.jpg': 'truck', 'static/dataset/coco_val_set/376.jpg': 'potted plant', 'static/dataset/coco_val_set/379.jpg': 'umbrella', 'static/dataset/coco_val_set/380.jpg': 'bed', 'static/dataset/coco_val_set/381.jpg': 'pizza', 'static/dataset/coco_val_set/383.jpg': 'pizza', 'static/dataset/coco_val_set/385.jpg': 'bear', 'static/dataset/coco_val_set/386.jpg': 'microwave', 'static/dataset/coco_val_set/387.jpg': 'fork', 'static/dataset/coco_val_set/388.jpg': 'sea', 'static/dataset/coco_val_set/390.jpg': 'car', 'static/dataset/coco_val_set/392.jpg': 'cup', 'static/dataset/coco_val_set/393.jpg': 'cake', 'static/dataset/coco_val_set/394.jpg': 'train', 'static/dataset/coco_val_set/396.jpg': 'pillow', 'static/dataset/coco_val_set/398.jpg': 'sink', 'static/dataset/coco_val_set/405.jpg': 'street sign', 'static/dataset/coco_val_set/407.jpg': 'straw', 'static/dataset/coco_val_set/408.jpg': 'bottle', 'static/dataset/coco_val_set/409.jpg': 'book', 'static/dataset/coco_val_set/410.jpg': 'mountain', 'static/dataset/coco_val_set/411.jpg': 'baseball bat', 'static/dataset/coco_val_set/414.jpg': 'clouds', 'static/dataset/coco_val_set/415.jpg': 'snow', 'static/dataset/coco_val_set/416.jpg': 'cake', 'static/dataset/coco_val_set/417.jpg': 'hair brush', 'static/dataset/coco_val_set/418.jpg': 'book', 'static/dataset/coco_val_set/419.jpg': 'truck', 'static/dataset/coco_val_set/420.jpg': 'knife', 'static/dataset/coco_val_set/423.jpg': 'tv', 'static/dataset/coco_val_set/426.jpg': 'branch', 'static/dataset/coco_val_set/427.jpg': 'teddy bear', 'static/dataset/coco_val_set/430.jpg': 'dining table', 'static/dataset/coco_val_set/431.jpg': 'bush', 'static/dataset/coco_val_set/434.jpg': 'blanket', 'static/dataset/coco_val_set/437.jpg': 'blanket', 'static/dataset/coco_val_set/438.jpg': 'bed', 'static/dataset/coco_val_set/439.jpg': 'snowboard', 'static/dataset/coco_val_set/440.jpg': 'cat', 'static/dataset/coco_val_set/441.jpg': 'baseball glove', 'static/dataset/coco_val_set/442.jpg': 'apple', 'static/dataset/coco_val_set/444.jpg': 'mouse', 'static/dataset/coco_val_set/446.jpg': 'door', 'static/dataset/coco_val_set/448.jpg': 'skateboard', 'static/dataset/coco_val_set/450.jpg': 'book', 'static/dataset/coco_val_set/451.jpg': 'house', 'static/dataset/coco_val_set/452.jpg': 'bicycle', 'static/dataset/coco_val_set/453.jpg': 'fruit', 'static/dataset/coco_val_set/454.jpg': 'baseball bat', 'static/dataset/coco_val_set/455.jpg': 'sink', 'static/dataset/coco_val_set/456.jpg': 'bear', 'static/dataset/coco_val_set/457.jpg': 'rock', 'static/dataset/coco_val_set/458.jpg': 'leaves', 'static/dataset/coco_val_set/459.jpg': 'shoe', 'static/dataset/coco_val_set/460.jpg': 'donut', 'static/dataset/coco_val_set/461.jpg': 'door', 'static/dataset/coco_val_set/462.jpg': 'chair', 'static/dataset/coco_val_set/464.jpg': 'spoon', 'static/dataset/coco_val_set/467.jpg': 'book', 'static/dataset/coco_val_set/470.jpg': 'backpack', 'static/dataset/coco_val_set/471.jpg': 'bridge', 'static/dataset/coco_val_set/472.jpg': 'plant', 'static/dataset/coco_val_set/474.jpg': 'scissors', 'static/dataset/coco_val_set/475.jpg': 'cat', 'static/dataset/coco_val_set/476.jpg': 'stairs', 'static/dataset/coco_val_set/479.jpg': 'dog', 'static/dataset/coco_val_set/480.jpg': 'truck', 'static/dataset/coco_val_set/483.jpg': 'carpet', 'static/dataset/coco_val_set/488.jpg': 'knife', 'static/dataset/coco_val_set/489.jpg': 'fog', 'static/dataset/coco_val_set/491.jpg': 'clock', 'static/dataset/coco_val_set/492.jpg': 'oven', 'static/dataset/coco_val_set/493.jpg': 'parking meter', 'static/dataset/coco_val_set/494.jpg': 'blender', 'static/dataset/coco_val_set/496.jpg': 'eye glasses', 'static/dataset/coco_val_set/497.jpg': 'broccoli', 'static/dataset/coco_val_set/498.jpg': 'clouds', 'static/dataset/coco_val_set/499.jpg': 'branch', 'static/dataset/coco_val_set/501.jpg': 'stairs', 'static/dataset/coco_val_set/503.jpg': 'playingfield', 'static/dataset/coco_val_set/505.jpg': 'frisbee', 'static/dataset/coco_val_set/506.jpg': 'window-blind', 'static/dataset/coco_val_set/507.jpg': 'remote', 'static/dataset/coco_val_set/508.jpg': 'hair drier', 'static/dataset/coco_val_set/509.jpg': 'street sign', 'static/dataset/coco_val_set/510.jpg': 'banner', 'static/dataset/coco_val_set/511.jpg': 'apple', 'static/dataset/coco_val_set/513.jpg': 'tile floor', 'static/dataset/coco_val_set/514.jpg': 'parking meter', 'static/dataset/coco_val_set/515.jpg': 'road', 'static/dataset/coco_val_set/516.jpg': 'bus', 'static/dataset/coco_val_set/518.jpg': 'fire hydrant', 'static/dataset/coco_val_set/520.jpg': 'kite', 'static/dataset/coco_val_set/523.jpg': 'platform', 'static/dataset/coco_val_set/525.jpg': 'pavement', 'static/dataset/coco_val_set/528.jpg': 'hair drier', 'static/dataset/coco_val_set/529.jpg': 'airplane', 'static/dataset/coco_val_set/531.jpg': 'elephant', 'static/dataset/coco_val_set/532.jpg': 'bus', 'static/dataset/coco_val_set/534.jpg': 'straw', 'static/dataset/coco_val_set/536.jpg': 'carpet', 'static/dataset/coco_val_set/537.jpg': 'cell phone', 'static/dataset/coco_val_set/538.jpg': 'keyboard', 'static/dataset/coco_val_set/539.jpg': 'keyboard', 'static/dataset/coco_val_set/541.jpg': 'leaves', 'static/dataset/coco_val_set/543.jpg': 'window', 'static/dataset/coco_val_set/545.jpg': 'playingfield', 'static/dataset/coco_val_set/548.jpg': 'carrot', 'static/dataset/coco_val_set/549.jpg': 'plate', 'static/dataset/coco_val_set/550.jpg': 'couch', 'static/dataset/coco_val_set/552.jpg': 'banner', 'static/dataset/coco_val_set/553.jpg': 'potted plant', 'static/dataset/coco_val_set/554.jpg': 'sink', 'static/dataset/coco_val_set/558.jpg': 'bed', 'static/dataset/coco_val_set/560.jpg': 'horse', 'static/dataset/coco_val_set/561.jpg': 'car', 'static/dataset/coco_val_set/562.jpg': 'truck', 'static/dataset/coco_val_set/564.jpg': 'table', 'static/dataset/coco_val_set/565.jpg': 'shelf', 'static/dataset/coco_val_set/566.jpg': 'counter', 'static/dataset/coco_val_set/568.jpg': 'table', 'static/dataset/coco_val_set/570.jpg': 'cloth', 'static/dataset/coco_val_set/571.jpg': 'straw', 'static/dataset/coco_val_set/572.jpg': 'skateboard', 'static/dataset/coco_val_set/573.jpg': 'truck', 'static/dataset/coco_val_set/574.jpg': 'cloth', 'static/dataset/coco_val_set/575.jpg': 'bridge', 'static/dataset/coco_val_set/578.jpg': 'clock', 'static/dataset/coco_val_set/579.jpg': 'bridge', 'static/dataset/coco_val_set/580.jpg': 'zebra', 'static/dataset/coco_val_set/581.jpg': 'mouse', 'static/dataset/coco_val_set/583.jpg': 'net', 'static/dataset/coco_val_set/584.jpg': 'bus', 'static/dataset/coco_val_set/585.jpg': 'fog', 'static/dataset/coco_val_set/587.jpg': 'sports ball', 'static/dataset/coco_val_set/588.jpg': 'sandwich', 'static/dataset/coco_val_set/590.jpg': 'train', 'static/dataset/coco_val_set/594.jpg': 'keyboard', 'static/dataset/coco_val_set/595.jpg': 'donut', 'static/dataset/coco_val_set/597.jpg': 'sink', 'static/dataset/coco_val_set/599.jpg': 'teddy bear', 'static/dataset/coco_val_set/600.jpg': 'skis', 'static/dataset/coco_val_set/601.jpg': 'vase', 'static/dataset/coco_val_set/602.jpg': 'stone', 'static/dataset/coco_val_set/604.jpg': 'desk', 'static/dataset/coco_val_set/606.jpg': 'clouds', 'static/dataset/coco_val_set/608.jpg': 'street sign', 'static/dataset/coco_val_set/609.jpg': 'banner', 'static/dataset/coco_val_set/612.jpg': 'baseball glove', 'static/dataset/coco_val_set/613.jpg': 'hot dog', 'static/dataset/coco_val_set/616.jpg': 'snow', 'static/dataset/coco_val_set/622.jpg': 'leaves', 'static/dataset/coco_val_set/624.jpg': 'flower', 'static/dataset/coco_val_set/628.jpg': 'carpet', 'static/dataset/coco_val_set/629.jpg': 'napkin', 'static/dataset/coco_val_set/631.jpg': 'pillow', 'static/dataset/coco_val_set/632.jpg': 'window', 'static/dataset/coco_val_set/635.jpg': 'branch', 'static/dataset/coco_val_set/636.jpg': 'banner', 'static/dataset/coco_val_set/637.jpg': 'hat', 'static/dataset/coco_val_set/638.jpg': 'straw', 'static/dataset/coco_val_set/639.jpg': 'baseball glove', 'static/dataset/coco_val_set/641.jpg': 'counter', 'static/dataset/coco_val_set/644.jpg': 'couch', 'static/dataset/coco_val_set/645.jpg': 'house', 'static/dataset/coco_val_set/646.jpg': 'remote', 'static/dataset/coco_val_set/647.jpg': 'cage', 'static/dataset/coco_val_set/648.jpg': 'toothbrush', 'static/dataset/coco_val_set/649.jpg': 'cupboard', 'static/dataset/coco_val_set/650.jpg': 'cell phone', 'static/dataset/coco_val_set/651.jpg': 'window-blind', 'static/dataset/coco_val_set/654.jpg': 'tennis racket', 'static/dataset/coco_val_set/655.jpg': 'cup', 'static/dataset/coco_val_set/656.jpg': 'leaves', 'static/dataset/coco_val_set/657.jpg': 'fire hydrant', 'static/dataset/coco_val_set/661.jpg': 'flower', 'static/dataset/coco_val_set/664.jpg': 'cage', 'static/dataset/coco_val_set/668.jpg': 'handbag', 'static/dataset/coco_val_set/669.jpg': 'book', 'static/dataset/coco_val_set/670.jpg': 'wood floor', 'static/dataset/coco_val_set/672.jpg': 'sea', 'static/dataset/coco_val_set/674.jpg': 'potted plant', 'static/dataset/coco_val_set/676.jpg': 'stairs', 'static/dataset/coco_val_set/677.jpg': 'knife', 'static/dataset/coco_val_set/678.jpg': 'keyboard', 'static/dataset/coco_val_set/681.jpg': 'sports ball', 'static/dataset/coco_val_set/682.jpg': 'knife', 'static/dataset/coco_val_set/683.jpg': 'branch', 'static/dataset/coco_val_set/684.jpg': 'cat', 'static/dataset/coco_val_set/686.jpg': 'carrot', 'static/dataset/coco_val_set/687.jpg': 'frisbee', 'static/dataset/coco_val_set/689.jpg': 'stairs', 'static/dataset/coco_val_set/691.jpg': 'vase', 'static/dataset/coco_val_set/692.jpg': 'horse', 'static/dataset/coco_val_set/693.jpg': 'pillow', 'static/dataset/coco_val_set/694.jpg': 'cow', 'static/dataset/coco_val_set/696.jpg': 'branch', 'static/dataset/coco_val_set/697.jpg': 'suitcase', 'static/dataset/coco_val_set/700.jpg': 'zebra', 'static/dataset/coco_val_set/701.jpg': 'window-blind', 'static/dataset/coco_val_set/702.jpg': 'tree', 'static/dataset/coco_val_set/703.jpg': 'clock', 'static/dataset/coco_val_set/704.jpg': 'door', 'static/dataset/coco_val_set/706.jpg': 'branch', 'static/dataset/coco_val_set/708.jpg': 'clock', 'static/dataset/coco_val_set/714.jpg': 'truck', 'static/dataset/coco_val_set/715.jpg': 'grass', 'static/dataset/coco_val_set/717.jpg': 'mirror-stuff', 'static/dataset/coco_val_set/719.jpg': 'banana', 'static/dataset/coco_val_set/720.jpg': 'toilet', 'static/dataset/coco_val_set/721.jpg': 'fork', 'static/dataset/coco_val_set/722.jpg': 'toaster', 'static/dataset/coco_val_set/723.jpg': 'cupboard', 'static/dataset/coco_val_set/724.jpg': 'fog', 'static/dataset/coco_val_set/725.jpg': 'platform', 'static/dataset/coco_val_set/726.jpg': 'road', 'static/dataset/coco_val_set/727.jpg': 'road', 'static/dataset/coco_val_set/728.jpg': 'grass', 'static/dataset/coco_val_set/730.jpg': 'elephant', 'static/dataset/coco_val_set/731.jpg': 'cat', 'static/dataset/coco_val_set/732.jpg': 'clouds', 'static/dataset/coco_val_set/734.jpg': 'boat', 'static/dataset/coco_val_set/735.jpg': 'tent', 'static/dataset/coco_val_set/736.jpg': 'curtain', 'static/dataset/coco_val_set/737.jpg': 'hair drier', 'static/dataset/coco_val_set/738.jpg': 'window', 'static/dataset/coco_val_set/739.jpg': 'bush', 'static/dataset/coco_val_set/742.jpg': 'napkin', 'static/dataset/coco_val_set/743.jpg': 'door', 'static/dataset/coco_val_set/744.jpg': 'remote', 'static/dataset/coco_val_set/745.jpg': 'hair brush', 'static/dataset/coco_val_set/748.jpg': 'couch', 'static/dataset/coco_val_set/749.jpg': 'tent', 'static/dataset/coco_val_set/752.jpg': 'toaster', 'static/dataset/coco_val_set/754.jpg': 'branch', 'static/dataset/coco_val_set/755.jpg': 'teddy bear', 'static/dataset/coco_val_set/756.jpg': 'laptop', 'static/dataset/coco_val_set/757.jpg': 'hot dog', 'static/dataset/coco_val_set/758.jpg': 'train', 'static/dataset/coco_val_set/760.jpg': 'bottle', 'static/dataset/coco_val_set/761.jpg': 'carpet', 'static/dataset/coco_val_set/762.jpg': 'snowboard', 'static/dataset/coco_val_set/763.jpg': 'flower', 'static/dataset/coco_val_set/764.jpg': 'sandwich', 'static/dataset/coco_val_set/766.jpg': 'dining table', 'static/dataset/coco_val_set/769.jpg': 'hair drier', 'static/dataset/coco_val_set/772.jpg': 'wine glass', 'static/dataset/coco_val_set/774.jpg': 'salad', 'static/dataset/coco_val_set/775.jpg': 'cow', 'static/dataset/coco_val_set/776.jpg': 'blanket', 'static/dataset/coco_val_set/777.jpg': 'blender', 'static/dataset/coco_val_set/780.jpg': 'laptop', 'static/dataset/coco_val_set/783.jpg': 'blender', 'static/dataset/coco_val_set/784.jpg': 'broccoli', 'static/dataset/coco_val_set/785.jpg': 'window', 'static/dataset/coco_val_set/786.jpg': 'toothbrush', 'static/dataset/coco_val_set/787.jpg': 'sea', 'static/dataset/coco_val_set/791.jpg': 'skis', 'static/dataset/coco_val_set/792.jpg': 'branch', 'static/dataset/coco_val_set/793.jpg': 'fruit', 'static/dataset/coco_val_set/794.jpg': 'tree', 'static/dataset/coco_val_set/796.jpg': 'zebra', 'static/dataset/coco_val_set/797.jpg': 'frisbee', 'static/dataset/coco_val_set/801.jpg': 'cow', 'static/dataset/coco_val_set/802.jpg': 'traffic light', 'static/dataset/coco_val_set/803.jpg': 'tennis racket', 'static/dataset/coco_val_set/805.jpg': 'cell phone', 'static/dataset/coco_val_set/807.jpg': 'clouds', 'static/dataset/coco_val_set/808.jpg': 'cupboard', 'static/dataset/coco_val_set/810.jpg': 'clock', 'static/dataset/coco_val_set/811.jpg': 'dining table', 'static/dataset/coco_val_set/812.jpg': 'shoe', 'static/dataset/coco_val_set/813.jpg': 'skateboard', 'static/dataset/coco_val_set/815.jpg': 'airplane', 'static/dataset/coco_val_set/817.jpg': 'mirror-stuff', 'static/dataset/coco_val_set/818.jpg': 'skyscraper', 'static/dataset/coco_val_set/819.jpg': 'branch', 'static/dataset/coco_val_set/822.jpg': 'bird', 'static/dataset/coco_val_set/823.jpg': 'toaster', 'static/dataset/coco_val_set/824.jpg': 'remote', 'static/dataset/coco_val_set/826.jpg': 'fire hydrant', 'static/dataset/coco_val_set/828.jpg': 'book', 'static/dataset/coco_val_set/830.jpg': 'remote', 'static/dataset/coco_val_set/833.jpg': 'window', 'static/dataset/coco_val_set/834.jpg': 'river', 'static/dataset/coco_val_set/835.jpg': 'bowl', 'static/dataset/coco_val_set/838.jpg': 'house', 'static/dataset/coco_val_set/839.jpg': 'suitcase', 'static/dataset/coco_val_set/841.jpg': 'skateboard', 'static/dataset/coco_val_set/842.jpg': 'wood floor', 'static/dataset/coco_val_set/843.jpg': 'keyboard', 'static/dataset/coco_val_set/846.jpg': 'table', 'static/dataset/coco_val_set/849.jpg': 'wine glass', 'static/dataset/coco_val_set/852.jpg': 'rock', 'static/dataset/coco_val_set/854.jpg': 'bench', 'static/dataset/coco_val_set/855.jpg': 'sink', 'static/dataset/coco_val_set/856.jpg': 'handbag', 'static/dataset/coco_val_set/857.jpg': 'platform', 'static/dataset/coco_val_set/858.jpg': 'cup', 'static/dataset/coco_val_set/860.jpg': 'carpet', 'static/dataset/coco_val_set/862.jpg': 'zebra', 'static/dataset/coco_val_set/863.jpg': 'knife', 'static/dataset/coco_val_set/864.jpg': 'vase', 'static/dataset/coco_val_set/865.jpg': 'stop sign', 'static/dataset/coco_val_set/866.jpg': 'door', 'static/dataset/coco_val_set/867.jpg': 'banana', 'static/dataset/coco_val_set/868.jpg': 'tennis racket', 'static/dataset/coco_val_set/870.jpg': 'blender', 'static/dataset/coco_val_set/872.jpg': 'sheep', 'static/dataset/coco_val_set/873.jpg': 'traffic light', 'static/dataset/coco_val_set/874.jpg': 'net', 'static/dataset/coco_val_set/875.jpg': 'plant', 'static/dataset/coco_val_set/877.jpg': 'stairs', 'static/dataset/coco_val_set/878.jpg': 'curtain', 'static/dataset/coco_val_set/882.jpg': 'bird', 'static/dataset/coco_val_set/884.jpg': 'backpack', 'static/dataset/coco_val_set/885.jpg': 'surfboard', 'static/dataset/coco_val_set/887.jpg': 'baseball glove', 'static/dataset/coco_val_set/889.jpg': 'sink', 'static/dataset/coco_val_set/890.jpg': 'zebra', 'static/dataset/coco_val_set/893.jpg': 'oven', 'static/dataset/coco_val_set/894.jpg': 'orange', 'static/dataset/coco_val_set/895.jpg': 'cow', 'static/dataset/coco_val_set/898.jpg': 'snowboard', 'static/dataset/coco_val_set/899.jpg': 'dining table', 'static/dataset/coco_val_set/901.jpg': 'apple', 'static/dataset/coco_val_set/905.jpg': 'truck', 'static/dataset/coco_val_set/906.jpg': 'chair', 'static/dataset/coco_val_set/907.jpg': 'tennis racket', 'static/dataset/coco_val_set/908.jpg': 'potted plant', 'static/dataset/coco_val_set/909.jpg': 'curtain', 'static/dataset/coco_val_set/910.jpg': 'curtain', 'static/dataset/coco_val_set/911.jpg': 'baseball bat', 'static/dataset/coco_val_set/913.jpg': 'window', 'static/dataset/coco_val_set/915.jpg': 'blanket', 'static/dataset/coco_val_set/916.jpg': 'house', 'static/dataset/coco_val_set/917.jpg': 'knife', 'static/dataset/coco_val_set/919.jpg': 'bridge', 'static/dataset/coco_val_set/921.jpg': 'cow', 'static/dataset/coco_val_set/922.jpg': 'toothbrush', 'static/dataset/coco_val_set/923.jpg': 'carrot', 'static/dataset/coco_val_set/924.jpg': 'backpack', 'static/dataset/coco_val_set/925.jpg': 'plate', 'static/dataset/coco_val_set/926.jpg': 'plate', 'static/dataset/coco_val_set/927.jpg': 'teddy bear', 'static/dataset/coco_val_set/928.jpg': 'desk', 'static/dataset/coco_val_set/930.jpg': 'sports ball', 'static/dataset/coco_val_set/931.jpg': 'road', 'static/dataset/coco_val_set/932.jpg': 'tv', 'static/dataset/coco_val_set/935.jpg': 'blender', 'static/dataset/coco_val_set/936.jpg': 'flower', 'static/dataset/coco_val_set/937.jpg': 'pizza', 'static/dataset/coco_val_set/938.jpg': 'umbrella', 'static/dataset/coco_val_set/939.jpg': 'truck', 'static/dataset/coco_val_set/942.jpg': 'parking meter', 'static/dataset/coco_val_set/943.jpg': 'hair brush', 'static/dataset/coco_val_set/944.jpg': 'pillow', 'static/dataset/coco_val_set/945.jpg': 'toothbrush', 'static/dataset/coco_val_set/946.jpg': 'carpet', 'static/dataset/coco_val_set/947.jpg': 'salad', 'static/dataset/coco_val_set/949.jpg': 'playingfield', 'static/dataset/coco_val_set/950.jpg': 'cell phone', 'static/dataset/coco_val_set/951.jpg': 'cage', 'static/dataset/coco_val_set/952.jpg': 'snowboard', 'static/dataset/coco_val_set/954.jpg': 'shelf', 'static/dataset/coco_val_set/957.jpg': 'tree', 'static/dataset/coco_val_set/958.jpg': 'banana', 'static/dataset/coco_val_set/961.jpg': 'platform', 'static/dataset/coco_val_set/962.jpg': 'tree', 'static/dataset/coco_val_set/963.jpg': 'tv', 'static/dataset/coco_val_set/966.jpg': 'banner', 'static/dataset/coco_val_set/968.jpg': 'broccoli', 'static/dataset/coco_val_set/970.jpg': 'book', 'static/dataset/coco_val_set/974.jpg': 'plate', 'static/dataset/coco_val_set/975.jpg': 'tile floor', 'static/dataset/coco_val_set/978.jpg': 'river', 'static/dataset/coco_val_set/980.jpg': 'table', 'static/dataset/coco_val_set/981.jpg': 'straw', 'static/dataset/coco_val_set/982.jpg': 'carpet', 'static/dataset/coco_val_set/987.jpg': 'stairs', 'static/dataset/coco_val_set/989.jpg': 'sandwich', 'static/dataset/coco_val_set/990.jpg': 'salad', 'static/dataset/coco_val_set/991.jpg': 'toothbrush', 'static/dataset/coco_val_set/992.jpg': 'pavement', 'static/dataset/coco_val_set/993.jpg': 'carrot', 'static/dataset/coco_val_set/994.jpg': 'bottle', 'static/dataset/coco_val_set/995.jpg': 'skis', 'static/dataset/coco_val_set/996.jpg': 'hair drier', 'static/dataset/coco_val_set/997.jpg': 'cup', 'static/dataset/coco_val_set/998.jpg': 'cloth', 'static/dataset/coco_val_set/1000.jpg': 'tie', 'static/dataset/coco_val_set/1008.jpg': 'rock', 'static/dataset/coco_val_set/1065.jpg': 'platform', 'static/dataset/coco_val_set/1080.jpg': 'fire hydrant', 'static/dataset/coco_val_set/1094.jpg': 'napkin', 'static/dataset/coco_val_set/1136.jpg': 'plate', 'static/dataset/coco_val_set/1139.jpg': 'cake', 'static/dataset/coco_val_set/1140.jpg': 'traffic light', 'static/dataset/coco_val_set/1159.jpg': 'leaves', 'static/dataset/coco_val_set/1200.jpg': 'bear', 'static/dataset/coco_val_set/1209.jpg': 'napkin', 'static/dataset/coco_val_set/1234.jpg': 'spoon', 'static/dataset/coco_val_set/1249.jpg': 'window', 'static/dataset/coco_val_set/1267.jpg': 'sandwich', 'static/dataset/coco_val_set/1276.jpg': 'toothbrush', 'static/dataset/coco_val_set/1282.jpg': 'frisbee', 'static/dataset/coco_val_set/1284.jpg': 'carpet', 'static/dataset/coco_val_set/1333.jpg': 'tree', 'static/dataset/coco_val_set/1334.jpg': 'flower', 'static/dataset/coco_val_set/1391.jpg': 'tile floor', 'static/dataset/coco_val_set/1395.jpg': 'bed', 'static/dataset/coco_val_set/1425.jpg': 'net', 'static/dataset/coco_val_set/1443.jpg': 'banana', 'static/dataset/coco_val_set/1475.jpg': 'cat', 'static/dataset/coco_val_set/1564.jpg': 'spoon', 'static/dataset/coco_val_set/1621.jpg': 'couch', 'static/dataset/coco_val_set/1634.jpg': 'snow', 'static/dataset/coco_val_set/1650.jpg': 'bench', 'static/dataset/coco_val_set/1652.jpg': 'tie', 'static/dataset/coco_val_set/1669.jpg': 'shelf', 'static/dataset/coco_val_set/1691.jpg': 'sand', 'static/dataset/coco_val_set/1701.jpg': 'plate', 'static/dataset/coco_val_set/1712.jpg': 'desk', 'static/dataset/coco_val_set/1725.jpg': 'mouse', 'static/dataset/coco_val_set/1727.jpg': 'hair brush', 'static/dataset/coco_val_set/1736.jpg': 'sheep', 'static/dataset/coco_val_set/1766.jpg': 'donut', 'static/dataset/coco_val_set/1797.jpg': 'sea', 'static/dataset/coco_val_set/1815.jpg': 'window', 'static/dataset/coco_val_set/1824.jpg': 'street sign', 'static/dataset/coco_val_set/1856.jpg': 'tree', 'static/dataset/coco_val_set/1868.jpg': 'mirror-stuff', 'static/dataset/coco_val_set/1883.jpg': 'carpet', 'static/dataset/coco_val_set/1887.jpg': 'river', 'static/dataset/coco_val_set/1931.jpg': 'parking meter', 'static/dataset/coco_val_set/1936.jpg': 'leaves', 'static/dataset/coco_val_set/1960.jpg': 'zebra', 'static/dataset/coco_val_set/1968.jpg': 'broccoli', 'static/dataset/coco_val_set/2015.jpg': 'donut', 'static/dataset/coco_val_set/2022.jpg': 'window', 'static/dataset/coco_val_set/2127.jpg': 'plant', 'static/dataset/coco_val_set/2131.jpg': 'fruit', 'static/dataset/coco_val_set/2138.jpg': 'road', 'static/dataset/coco_val_set/2155.jpg': 'hair drier', 'static/dataset/coco_val_set/2164.jpg': 'airplane', 'static/dataset/coco_val_set/2169.jpg': 'skateboard', 'static/dataset/coco_val_set/2173.jpg': 'skis', 'static/dataset/coco_val_set/2187.jpg': 'umbrella', 'static/dataset/coco_val_set/2227.jpg': 'shoe', 'static/dataset/coco_val_set/2276.jpg': 'clouds', 'static/dataset/coco_val_set/2278.jpg': 'flower', 'static/dataset/coco_val_set/2312.jpg': 'truck', 'static/dataset/coco_val_set/2337.jpg': 'shoe', 'static/dataset/coco_val_set/2353.jpg': 'cloth', 'static/dataset/coco_val_set/2382.jpg': 'fork', 'static/dataset/coco_val_set/2387.jpg': 'banner', 'static/dataset/coco_val_set/2411.jpg': 'kite', 'static/dataset/coco_val_set/2428.jpg': 'straw', 'static/dataset/coco_val_set/2465.jpg': 'fork', 'static/dataset/coco_val_set/2526.jpg': 'bird', 'static/dataset/coco_val_set/2532.jpg': 'backpack', 'static/dataset/coco_val_set/2546.jpg': 'clouds', 'static/dataset/coco_val_set/2557.jpg': 'street sign', 'static/dataset/coco_val_set/2562.jpg': 'umbrella', 'static/dataset/coco_val_set/2595.jpg': 'bowl', 'static/dataset/coco_val_set/2614.jpg': 'tile floor', 'static/dataset/coco_val_set/2638.jpg': 'window-blind', 'static/dataset/coco_val_set/2642.jpg': 'mouse', 'static/dataset/coco_val_set/2659.jpg': 'sand', 'static/dataset/coco_val_set/2672.jpg': 'cake', 'static/dataset/coco_val_set/2674.jpg': 'cloth', 'static/dataset/coco_val_set/2694.jpg': 'parking meter', 'static/dataset/coco_val_set/2744.jpg': 'bed', 'static/dataset/coco_val_set/2749.jpg': 'umbrella', 'static/dataset/coco_val_set/2753.jpg': 'shoe', 'static/dataset/coco_val_set/2757.jpg': 'suitcase', 'static/dataset/coco_val_set/2810.jpg': 'stone', 'static/dataset/coco_val_set/2818.jpg': 'bus', 'static/dataset/coco_val_set/2860.jpg': 'carrot', 'static/dataset/coco_val_set/2870.jpg': 'cat', 'static/dataset/coco_val_set/2872.jpg': 'bird', 'static/dataset/coco_val_set/2915.jpg': 'hair drier', 'static/dataset/coco_val_set/2959.jpg': 'bush', 'static/dataset/coco_val_set/2970.jpg': 'remote', 'static/dataset/coco_val_set/2982.jpg': 'stone', 'static/dataset/coco_val_set/3003.jpg': 'banana', 'static/dataset/coco_val_set/3020.jpg': 'clouds', 'static/dataset/coco_val_set/3051.jpg': 'tie', 'static/dataset/coco_val_set/3087.jpg': 'pillow', 'static/dataset/coco_val_set/3118.jpg': 'platform', 'static/dataset/coco_val_set/3172.jpg': 'counter', 'static/dataset/coco_val_set/3182.jpg': 'banner', 'static/dataset/coco_val_set/3202.jpg': 'kite', 'static/dataset/coco_val_set/3204.jpg': 'napkin', 'static/dataset/coco_val_set/3248.jpg': 'fork', 'static/dataset/coco_val_set/3258.jpg': 'snow', 'static/dataset/coco_val_set/3266.jpg': 'cloth', 'static/dataset/coco_val_set/3269.jpg': 'stop sign', 'static/dataset/coco_val_set/3272.jpg': 'snowboard', 'static/dataset/coco_val_set/3319.jpg': 'chair', 'static/dataset/coco_val_set/3323.jpg': 'kite', 'static/dataset/coco_val_set/3364.jpg': 'street sign', 'static/dataset/coco_val_set/3366.jpg': 'donut', 'static/dataset/coco_val_set/3374.jpg': 'window-blind', 'static/dataset/coco_val_set/3393.jpg': 'cage', 'static/dataset/coco_val_set/3402.jpg': 'umbrella', 'static/dataset/coco_val_set/3541.jpg': 'apple', 'static/dataset/coco_val_set/3542.jpg': 'cell phone', 'static/dataset/coco_val_set/3555.jpg': 'mirror-stuff', 'static/dataset/coco_val_set/3562.jpg': 'grass', 'static/dataset/coco_val_set/3571.jpg': 'sea', 'static/dataset/coco_val_set/3589.jpg': 'tennis racket', 'static/dataset/coco_val_set/3703.jpg': 'person', 'static/dataset/coco_val_set/3716.jpg': 'bridge', 'static/dataset/coco_val_set/3751.jpg': 'chair', 'static/dataset/coco_val_set/3770.jpg': 'handbag', 'static/dataset/coco_val_set/3805.jpg': 'bed', 'static/dataset/coco_val_set/3808.jpg': 'car', 'static/dataset/coco_val_set/3828.jpg': 'railroad', 'static/dataset/coco_val_set/3855.jpg': 'cloth', 'static/dataset/coco_val_set/3878.jpg': 'grass', 'static/dataset/coco_val_set/3898.jpg': 'car', 'static/dataset/coco_val_set/3917.jpg': 'blanket', 'static/dataset/coco_val_set/3932.jpg': 'snow', 'static/dataset/coco_val_set/3958.jpg': 'spoon', 'static/dataset/coco_val_set/3976.jpg': 'skyscraper', 'static/dataset/coco_val_set/3999.jpg': 'orange', 'static/dataset/coco_val_set/4053.jpg': 'branch', 'static/dataset/coco_val_set/4056.jpg': 'hair drier', 'static/dataset/coco_val_set/4089.jpg': 'fire hydrant', 'static/dataset/coco_val_set/4123.jpg': 'keyboard', 'static/dataset/coco_val_set/4127.jpg': 'river', 'static/dataset/coco_val_set/4158.jpg': 'desk', 'static/dataset/coco_val_set/4212.jpg': 'bear', 'static/dataset/coco_val_set/4250.jpg': 'apple', 'static/dataset/coco_val_set/4316.jpg': 'suitcase', 'static/dataset/coco_val_set/4319.jpg': 'salad', 'static/dataset/coco_val_set/4334.jpg': 'snowboard', 'static/dataset/coco_val_set/4355.jpg': 'sandwich', 'static/dataset/coco_val_set/4358.jpg': 'snow', 'static/dataset/coco_val_set/4374.jpg': 'window-blind', 'static/dataset/coco_val_set/4395.jpg': 'branch', 'static/dataset/coco_val_set/4415.jpg': 'fire hydrant', 'static/dataset/coco_val_set/4418.jpg': 'refrigerator', 'static/dataset/coco_val_set/4441.jpg': 'railroad', 'static/dataset/coco_val_set/4478.jpg': 'playingfield', 'static/dataset/coco_val_set/4487.jpg': 'bicycle', 'static/dataset/coco_val_set/4491.jpg': 'eye glasses', 'static/dataset/coco_val_set/4581.jpg': 'wood floor', 'static/dataset/coco_val_set/4593.jpg': 'person', 'static/dataset/coco_val_set/4621.jpg': 'laptop', 'static/dataset/coco_val_set/4640.jpg': 'couch', 'static/dataset/coco_val_set/4653.jpg': 'bear', 'static/dataset/coco_val_set/4687.jpg': 'fruit', 'static/dataset/coco_val_set/4704.jpg': 'leaves', 'static/dataset/coco_val_set/4707.jpg': 'shelf', 'static/dataset/coco_val_set/4743.jpg': 'refrigerator', 'static/dataset/coco_val_set/4753.jpg': 'stone', 'static/dataset/coco_val_set/4775.jpg': 'plant', 'static/dataset/coco_val_set/4787.jpg': 'road', 'static/dataset/coco_val_set/4798.jpg': 'bed', 'static/dataset/coco_val_set/4838.jpg': 'net', 'static/dataset/coco_val_set/4871.jpg': 'donut', 'static/dataset/coco_val_set/4896.jpg': 'oven', 'static/dataset/coco_val_set/4916.jpg': 'bicycle', 'static/dataset/coco_val_set/1.jpg': 'Bear', 'static/dataset/coco_val_set/1001.jpg': 'Person', 'static/dataset/coco_val_set/1003.jpg': 'Downtown', 'static/dataset/coco_val_set/1004.jpg': 'Elephant', 'static/dataset/coco_val_set/1006.jpg': 'Furniture', 'static/dataset/coco_val_set/1007.jpg': 'Clothing', 'static/dataset/coco_val_set/1010.jpg': 'Spire', 'static/dataset/coco_val_set/1011.jpg': 'Monitor', 'static/dataset/coco_val_set/1012.jpg': 'Dining Table', 'static/dataset/coco_val_set/1014.jpg': 'Person', 'static/dataset/coco_val_set/1015.jpg': 'Symbol', 'static/dataset/coco_val_set/1017.jpg': 'Clothing', 'static/dataset/coco_val_set/1019.jpg': 'Patio', 'static/dataset/coco_val_set/102.jpg': 'Bicycle', 'static/dataset/coco_val_set/1020.jpg': 'Desk', 'static/dataset/coco_val_set/1022.jpg': 'Sea', 'static/dataset/coco_val_set/1024.jpg': 'Person', 'static/dataset/coco_val_set/1025.jpg': 'Car', 'static/dataset/coco_val_set/1026.jpg': 'Person', 'static/dataset/coco_val_set/1027.jpg': 'Bus', 'static/dataset/coco_val_set/1028.jpg': 'Water', 'static/dataset/coco_val_set/1030.jpg': 'Bird', 'static/dataset/coco_val_set/1031.jpg': 'Kindergarten', 'static/dataset/coco_val_set/1032.jpg': 'Zebra', 'static/dataset/coco_val_set/1034.jpg': 'Person', 'static/dataset/coco_val_set/1036.jpg': 'Glasses', 'static/dataset/coco_val_set/1039.jpg': 'Landscape', 'static/dataset/coco_val_set/1040.jpg': 'Person', 'static/dataset/coco_val_set/1042.jpg': 'Furniture', 'static/dataset/coco_val_set/1043.jpg': 'Bus', 'static/dataset/coco_val_set/1044.jpg': 'Zebra', 'static/dataset/coco_val_set/1045.jpg': 'Furniture', 'static/dataset/coco_val_set/1047.jpg': 'Person', 'static/dataset/coco_val_set/1048.jpg': 'Zebra', 'static/dataset/coco_val_set/1049.jpg': 'Water', 'static/dataset/coco_val_set/1051.jpg': 'Dog', 'static/dataset/coco_val_set/1052.jpg': 'Person', 'static/dataset/coco_val_set/1053.jpg': 'Bicycle', 'static/dataset/coco_val_set/1054.jpg': 'Living Room', 'static/dataset/coco_val_set/1055.jpg': 'Cow', 'static/dataset/coco_val_set/1056.jpg': 'Cat', 'static/dataset/coco_val_set/1057.jpg': 'Person', 'static/dataset/coco_val_set/1059.jpg': 'Bird', 'static/dataset/coco_val_set/106.jpg': 'Bathtub', 'static/dataset/coco_val_set/1060.jpg': 'Person', 'static/dataset/coco_val_set/1062.jpg': 'Elephant', 'static/dataset/coco_val_set/1063.jpg': 'Person', 'static/dataset/coco_val_set/1064.jpg': 'Car', 'static/dataset/coco_val_set/1066.jpg': 'Mammal', 'static/dataset/coco_val_set/1067.jpg': 'Room', 'static/dataset/coco_val_set/1068.jpg': 'Person', 'static/dataset/coco_val_set/1069.jpg': 'Person', 'static/dataset/coco_val_set/107.jpg': 'Bed', 'static/dataset/coco_val_set/1070.jpg': 'Person', 'static/dataset/coco_val_set/1072.jpg': 'Seasoning', 'static/dataset/coco_val_set/1073.jpg': 'Sea', 'static/dataset/coco_val_set/1074.jpg': 'Person', 'static/dataset/coco_val_set/1075.jpg': 'Nature', 'static/dataset/coco_val_set/1076.jpg': 'Person', 'static/dataset/coco_val_set/1077.jpg': 'Bear', 'static/dataset/coco_val_set/1078.jpg': 'Wood', 'static/dataset/coco_val_set/1079.jpg': 'Car', 'static/dataset/coco_val_set/108.jpg': 'Clothing', 'static/dataset/coco_val_set/1082.jpg': 'Person', 'static/dataset/coco_val_set/1083.jpg': 'Person', 'static/dataset/coco_val_set/1085.jpg': 'Person', 'static/dataset/coco_val_set/1087.jpg': 'Adventure', 'static/dataset/coco_val_set/1088.jpg': 'Person', 'static/dataset/coco_val_set/1089.jpg': 'Person', 'static/dataset/coco_val_set/109.jpg': 'Symbol', 'static/dataset/coco_val_set/1090.jpg': 'Zebra', 'static/dataset/coco_val_set/1091.jpg': 'Restaurant', 'static/dataset/coco_val_set/1092.jpg': 'Spoon', 'static/dataset/coco_val_set/1093.jpg': 'Bench', 'static/dataset/coco_val_set/1095.jpg': 'Nature', 'static/dataset/coco_val_set/1096.jpg': 'Clothing', 'static/dataset/coco_val_set/1098.jpg': 'Nature', 'static/dataset/coco_val_set/1100.jpg': 'Car', 'static/dataset/coco_val_set/1102.jpg': 'Railway', 'static/dataset/coco_val_set/1103.jpg': 'Baseball Glove', 'static/dataset/coco_val_set/1105.jpg': 'Person', 'static/dataset/coco_val_set/1108.jpg': 'Clothing', 'static/dataset/coco_val_set/1109.jpg': 'Monitor', 'static/dataset/coco_val_set/1111.jpg': 'Husky', 'static/dataset/coco_val_set/1112.jpg': 'Bread', 'static/dataset/coco_val_set/1113.jpg': 'Airplane', 'static/dataset/coco_val_set/1114.jpg': 'Tower', 'static/dataset/coco_val_set/1115.jpg': 'Tie', 'static/dataset/coco_val_set/1118.jpg': 'Plant', 'static/dataset/coco_val_set/1119.jpg': 'Appliance', 'static/dataset/coco_val_set/1120.jpg': 'Plant', 'static/dataset/coco_val_set/1121.jpg': 'Person', 'static/dataset/coco_val_set/1122.jpg': 'Person', 'static/dataset/coco_val_set/1124.jpg': 'Brown Bear', 'static/dataset/coco_val_set/1125.jpg': 'Person', 'static/dataset/coco_val_set/1127.jpg': 'Person', 'static/dataset/coco_val_set/1128.jpg': 'Railway', 'static/dataset/coco_val_set/1129.jpg': 'Road', 'static/dataset/coco_val_set/1130.jpg': 'Marina', 'static/dataset/coco_val_set/1131.jpg': 'Person', 'static/dataset/coco_val_set/1132.jpg': 'Sunglasses', 'static/dataset/coco_val_set/1133.jpg': 'Person', 'static/dataset/coco_val_set/1134.jpg': 'Person', 'static/dataset/coco_val_set/1135.jpg': 'Elephant', 'static/dataset/coco_val_set/1137.jpg': 'Cow', 'static/dataset/coco_val_set/1141.jpg': 'Sink', 'static/dataset/coco_val_set/1142.jpg': 'Laptop', 'static/dataset/coco_val_set/1145.jpg': 'Railway', 'static/dataset/coco_val_set/1146.jpg': 'Land', 'static/dataset/coco_val_set/1148.jpg': 'Airplane', 'static/dataset/coco_val_set/1149.jpg': 'Car', 'static/dataset/coco_val_set/1150.jpg': 'Furniture', 'static/dataset/coco_val_set/1151.jpg': 'Person', 'static/dataset/coco_val_set/1152.jpg': 'Bicycle', 'static/dataset/coco_val_set/1153.jpg': 'Flying', 'static/dataset/coco_val_set/1154.jpg': 'Chair', 'static/dataset/coco_val_set/1155.jpg': 'Clock Tower', 'static/dataset/coco_val_set/1156.jpg': 'Train', 'static/dataset/coco_val_set/1157.jpg': 'Sink', 'static/dataset/coco_val_set/1160.jpg': 'Oven', 'static/dataset/coco_val_set/1161.jpg': 'Furniture', 'static/dataset/coco_val_set/1162.jpg': 'Person', 'static/dataset/coco_val_set/1163.jpg': 'Helmet', 'static/dataset/coco_val_set/1166.jpg': 'Person', 'static/dataset/coco_val_set/1167.jpg': 'Person', 'static/dataset/coco_val_set/1168.jpg': 'Person', 'static/dataset/coco_val_set/1171.jpg': 'Flying', 'static/dataset/coco_val_set/1172.jpg': 'Citrus Fruit', 'static/dataset/coco_val_set/1173.jpg': 'Dish', 'static/dataset/coco_val_set/1174.jpg': 'Dog', 'static/dataset/coco_val_set/1175.jpg': 'Fire Hydrant', 'static/dataset/coco_val_set/1176.jpg': 'Bicycle', 'static/dataset/coco_val_set/1177.jpg': 'Indoors', 'static/dataset/coco_val_set/1178.jpg': 'Bread', 'static/dataset/coco_val_set/118.jpg': 'Person', 'static/dataset/coco_val_set/1181.jpg': 'Monitor', 'static/dataset/coco_val_set/1182.jpg': 'Person', 'static/dataset/coco_val_set/1184.jpg': 'Monitor', 'static/dataset/coco_val_set/1186.jpg': 'Dog', 'static/dataset/coco_val_set/1188.jpg': 'Dining Table', 'static/dataset/coco_val_set/1189.jpg': 'Person', 'static/dataset/coco_val_set/1190.jpg': 'Horse', 'static/dataset/coco_val_set/1191.jpg': 'Wheel', 'static/dataset/coco_val_set/1192.jpg': 'Road', 'static/dataset/coco_val_set/1193.jpg': 'Plant', 'static/dataset/coco_val_set/1194.jpg': 'Person', 'static/dataset/coco_val_set/1195.jpg': 'Road', 'static/dataset/coco_val_set/1197.jpg': 'Tower', 'static/dataset/coco_val_set/1198.jpg': 'Person', 'static/dataset/coco_val_set/1199.jpg': 'Analog Clock', 'static/dataset/coco_val_set/122.jpg': 'Phone', 'static/dataset/coco_val_set/125.jpg': 'Plant', 'static/dataset/coco_val_set/129.jpg': 'Airplane', 'static/dataset/coco_val_set/13.jpg': 'Burger', 'static/dataset/coco_val_set/135.jpg': 'Chair', 'static/dataset/coco_val_set/14.jpg': 'Person', 'static/dataset/coco_val_set/140.jpg': 'Person', 'static/dataset/coco_val_set/141.jpg': 'Railway', 'static/dataset/coco_val_set/146.jpg': 'Plant', 'static/dataset/coco_val_set/151.jpg': 'Manx', 'static/dataset/coco_val_set/153.jpg': 'Person', 'static/dataset/coco_val_set/156.jpg': 'Wasp', 'static/dataset/coco_val_set/157.jpg': 'Person', 'static/dataset/coco_val_set/166.jpg': 'Dog', 'static/dataset/coco_val_set/171.jpg': 'Car', 'static/dataset/coco_val_set/175.jpg': 'Coffee Cup', 'static/dataset/coco_val_set/177.jpg': 'Traffic Light', 'static/dataset/coco_val_set/182.jpg': 'Person', 'static/dataset/coco_val_set/185.jpg': 'Motorcycle', 'static/dataset/coco_val_set/187.jpg': 'Clothing', 'static/dataset/coco_val_set/192.jpg': 'Clothing', 'static/dataset/coco_val_set/197.jpg': 'Zebra', 'static/dataset/coco_val_set/20.jpg': 'Zebra', 'static/dataset/coco_val_set/201.jpg': 'Soil', 'static/dataset/coco_val_set/21.jpg': 'Chair', 'static/dataset/coco_val_set/213.jpg': 'Airplane', 'static/dataset/coco_val_set/214.jpg': 'Person', 'static/dataset/coco_val_set/215.jpg': 'Sheep', 'static/dataset/coco_val_set/221.jpg': 'Zoo', 'static/dataset/coco_val_set/226.jpg': 'Car', 'static/dataset/coco_val_set/228.jpg': 'Room', 'static/dataset/coco_val_set/232.jpg': 'Animal', 'static/dataset/coco_val_set/238.jpg': 'Chair', 'static/dataset/coco_val_set/24.jpg': 'Person', 'static/dataset/coco_val_set/244.jpg': 'Sea', 'static/dataset/coco_val_set/245.jpg': 'Person', 'static/dataset/coco_val_set/250.jpg': 'Symbol', 'static/dataset/coco_val_set/251.jpg': 'Chair', 'static/dataset/coco_val_set/254.jpg': 'Laptop', 'static/dataset/coco_val_set/257.jpg': 'Fire Hydrant', 'static/dataset/coco_val_set/261.jpg': 'Pizza', 'static/dataset/coco_val_set/269.jpg': 'Plant', 'static/dataset/coco_val_set/271.jpg': 'Horse', 'static/dataset/coco_val_set/279.jpg': 'Ground', 'static/dataset/coco_val_set/288.jpg': 'Furniture', 'static/dataset/coco_val_set/290.jpg': 'Chair', 'static/dataset/coco_val_set/299.jpg': 'Person', 'static/dataset/coco_val_set/3.jpg': 'Truck', 'static/dataset/coco_val_set/300.jpg': 'Sea', 'static/dataset/coco_val_set/301.jpg': 'Furniture', 'static/dataset/coco_val_set/303.jpg': 'Window', 'static/dataset/coco_val_set/307.jpg': 'Tie', 'static/dataset/coco_val_set/308.jpg': 'Car', 'static/dataset/coco_val_set/313.jpg': 'Person', 'static/dataset/coco_val_set/316.jpg': 'Zoo', 'static/dataset/coco_val_set/317.jpg': 'Person', 'static/dataset/coco_val_set/318.jpg': 'Car', 'static/dataset/coco_val_set/323.jpg': 'Person', 'static/dataset/coco_val_set/329.jpg': 'Pc', 'static/dataset/coco_val_set/330.jpg': 'Indoors', 'static/dataset/coco_val_set/332.jpg': 'Furniture', 'static/dataset/coco_val_set/333.jpg': 'Teddy Bear', 'static/dataset/coco_val_set/334.jpg': 'Restaurant', 'static/dataset/coco_val_set/337.jpg': 'Tower', 'static/dataset/coco_val_set/339.jpg': 'Car', 'static/dataset/coco_val_set/343.jpg': 'Chair', 'static/dataset/coco_val_set/353.jpg': 'Zebra', 'static/dataset/coco_val_set/356.jpg': 'Living Room', 'static/dataset/coco_val_set/357.jpg': 'Person', 'static/dataset/coco_val_set/363.jpg': 'Person', 'static/dataset/coco_val_set/364.jpg': 'Person', 'static/dataset/coco_val_set/378.jpg': 'Handrail', 'static/dataset/coco_val_set/382.jpg': 'Railway', 'static/dataset/coco_val_set/389.jpg': 'Clock Tower', 'static/dataset/coco_val_set/391.jpg': 'Chair', 'static/dataset/coco_val_set/395.jpg': 'Motorcycle', 'static/dataset/coco_val_set/399.jpg': 'Person', 'static/dataset/coco_val_set/4.jpg': 'Teddy Bear', 'static/dataset/coco_val_set/40.jpg': 'Dining Table', 'static/dataset/coco_val_set/400.jpg': 'Sea', 'static/dataset/coco_val_set/401.jpg': 'Furniture', 'static/dataset/coco_val_set/402.jpg': 'Plant', 'static/dataset/coco_val_set/403.jpg': 'Person', 'static/dataset/coco_val_set/404.jpg': 'Bicycle', 'static/dataset/coco_val_set/406.jpg': 'Laptop', 'static/dataset/coco_val_set/412.jpg': 'Sheep', 'static/dataset/coco_val_set/413.jpg': 'Person', 'static/dataset/coco_val_set/421.jpg': 'Person', 'static/dataset/coco_val_set/422.jpg': 'Shoe', 'static/dataset/coco_val_set/424.jpg': 'Clothing', 'static/dataset/coco_val_set/428.jpg': 'Clothing', 'static/dataset/coco_val_set/429.jpg': 'Motorcycle', 'static/dataset/coco_val_set/43.jpg': 'Tie', 'static/dataset/coco_val_set/432.jpg': 'Grass', 'static/dataset/coco_val_set/433.jpg': 'Horse', 'static/dataset/coco_val_set/435.jpg': 'Zebra', 'static/dataset/coco_val_set/436.jpg': 'Manx', 'static/dataset/coco_val_set/445.jpg': 'Plant', 'static/dataset/coco_val_set/463.jpg': 'Airplane', 'static/dataset/coco_val_set/465.jpg': 'Phone', 'static/dataset/coco_val_set/466.jpg': 'Zebra', 'static/dataset/coco_val_set/473.jpg': 'Hat', 'static/dataset/coco_val_set/478.jpg': 'Zebra', 'static/dataset/coco_val_set/481.jpg': 'Clothing', 'static/dataset/coco_val_set/482.jpg': 'Fork', 'static/dataset/coco_val_set/485.jpg': 'Person', 'static/dataset/coco_val_set/49.jpg': 'Person', 'static/dataset/coco_val_set/490.jpg': 'Car', 'static/dataset/coco_val_set/495.jpg': 'Wood', 'static/dataset/coco_val_set/50.jpg': 'Person', 'static/dataset/coco_val_set/500.jpg': 'Elephant', 'static/dataset/coco_val_set/502.jpg': 'Person', 'static/dataset/coco_val_set/512.jpg': 'Person', 'static/dataset/coco_val_set/517.jpg': 'Tower', 'static/dataset/coco_val_set/519.jpg': 'Person', 'static/dataset/coco_val_set/521.jpg': 'Laptop', 'static/dataset/coco_val_set/522.jpg': 'Person', 'static/dataset/coco_val_set/524.jpg': 'Person', 'static/dataset/coco_val_set/526.jpg': 'Person', 'static/dataset/coco_val_set/530.jpg': 'Building', 'static/dataset/coco_val_set/533.jpg': 'Dog House', 'static/dataset/coco_val_set/540.jpg': 'Person', 'static/dataset/coco_val_set/542.jpg': 'Chair', 'static/dataset/coco_val_set/544.jpg': 'Flagstone', 'static/dataset/coco_val_set/546.jpg': 'Person', 'static/dataset/coco_val_set/547.jpg': 'Clothing', 'static/dataset/coco_val_set/555.jpg': 'Sea', 'static/dataset/coco_val_set/557.jpg': 'Furniture', 'static/dataset/coco_val_set/56.jpg': 'Sheep', 'static/dataset/coco_val_set/563.jpg': 'Car', 'static/dataset/coco_val_set/569.jpg': 'Sea', 'static/dataset/coco_val_set/576.jpg': 'Person', 'static/dataset/coco_val_set/577.jpg': 'Chair', 'static/dataset/coco_val_set/582.jpg': 'Furniture', 'static/dataset/coco_val_set/589.jpg': 'Clothing', 'static/dataset/coco_val_set/591.jpg': 'Person', 'static/dataset/coco_val_set/596.jpg': 'Clock Tower', 'static/dataset/coco_val_set/598.jpg': 'Helmet', 'static/dataset/coco_val_set/6.jpg': 'Refrigerator', 'static/dataset/coco_val_set/605.jpg': 'Zebra', 'static/dataset/coco_val_set/607.jpg': 'Traffic Light', 'static/dataset/coco_val_set/610.jpg': 'Person', 'static/dataset/coco_val_set/611.jpg': 'Plant', 'static/dataset/coco_val_set/614.jpg': 'Person', 'static/dataset/coco_val_set/615.jpg': 'Train', 'static/dataset/coco_val_set/617.jpg': 'Motorcycle', 'static/dataset/coco_val_set/618.jpg': 'Furniture', 'static/dataset/coco_val_set/619.jpg': 'Furniture', 'static/dataset/coco_val_set/620.jpg': 'Hangar', 'static/dataset/coco_val_set/621.jpg': 'Bear', 'static/dataset/coco_val_set/623.jpg': 'Mobile Phone', 'static/dataset/coco_val_set/625.jpg': 'Building', 'static/dataset/coco_val_set/626.jpg': 'Furniture', 'static/dataset/coco_val_set/627.jpg': 'Bicycle', 'static/dataset/coco_val_set/633.jpg': 'Sea', 'static/dataset/coco_val_set/634.jpg': 'Car', 'static/dataset/coco_val_set/642.jpg': 'Person', 'static/dataset/coco_val_set/652.jpg': 'Person', 'static/dataset/coco_val_set/653.jpg': 'File Binder', 'static/dataset/coco_val_set/662.jpg': 'Furniture', 'static/dataset/coco_val_set/663.jpg': 'Watercraft', 'static/dataset/coco_val_set/665.jpg': 'Car', 'static/dataset/coco_val_set/666.jpg': 'Hat', 'static/dataset/coco_val_set/667.jpg': 'Person', 'static/dataset/coco_val_set/67.jpg': 'Person', 'static/dataset/coco_val_set/671.jpg': 'Fire Hydrant', 'static/dataset/coco_val_set/673.jpg': 'Giraffe', 'static/dataset/coco_val_set/675.jpg': 'Road Sign', 'static/dataset/coco_val_set/685.jpg': 'Elephant', 'static/dataset/coco_val_set/690.jpg': 'Nature', 'static/dataset/coco_val_set/698.jpg': 'Water', 'static/dataset/coco_val_set/699.jpg': 'Train', 'static/dataset/coco_val_set/705.jpg': 'Wood', 'static/dataset/coco_val_set/707.jpg': 'Outdoors', 'static/dataset/coco_val_set/711.jpg': 'Person', 'static/dataset/coco_val_set/712.jpg': 'Hot Dog', 'static/dataset/coco_val_set/713.jpg': 'Person', 'static/dataset/coco_val_set/716.jpg': 'Meal', 'static/dataset/coco_val_set/718.jpg': 'Couch', 'static/dataset/coco_val_set/729.jpg': 'Face', 'static/dataset/coco_val_set/741.jpg': 'Person', 'static/dataset/coco_val_set/750.jpg': 'Dining Table', 'static/dataset/coco_val_set/751.jpg': 'Traffic Light', 'static/dataset/coco_val_set/759.jpg': 'Person', 'static/dataset/coco_val_set/768.jpg': 'Burger', 'static/dataset/coco_val_set/770.jpg': 'Tree', 'static/dataset/coco_val_set/771.jpg': 'Dog', 'static/dataset/coco_val_set/773.jpg': 'Cow', 'static/dataset/coco_val_set/779.jpg': 'Person', 'static/dataset/coco_val_set/782.jpg': 'Clothing', 'static/dataset/coco_val_set/788.jpg': 'Zebra', 'static/dataset/coco_val_set/789.jpg': 'Fork', 'static/dataset/coco_val_set/790.jpg': 'Chair', 'static/dataset/coco_val_set/795.jpg': 'Bear', 'static/dataset/coco_val_set/798.jpg': 'Person', 'static/dataset/coco_val_set/799.jpg': 'Bread', 'static/dataset/coco_val_set/8.jpg': 'Person', 'static/dataset/coco_val_set/800.jpg': 'Chair', 'static/dataset/coco_val_set/806.jpg': 'Sink', 'static/dataset/coco_val_set/809.jpg': 'Elephant', 'static/dataset/coco_val_set/816.jpg': 'Bus', 'static/dataset/coco_val_set/820.jpg': 'Person', 'static/dataset/coco_val_set/825.jpg': 'Microwave', 'static/dataset/coco_val_set/827.jpg': 'Person', 'static/dataset/coco_val_set/829.jpg': 'Plant', 'static/dataset/coco_val_set/83.jpg': 'Interior Design', 'static/dataset/coco_val_set/831.jpg': 'Person', 'static/dataset/coco_val_set/832.jpg': 'Person', 'static/dataset/coco_val_set/836.jpg': 'Person', 'static/dataset/coco_val_set/837.jpg': 'Bus', 'static/dataset/coco_val_set/840.jpg': 'Dessert', 'static/dataset/coco_val_set/844.jpg': 'Flooring', 'static/dataset/coco_val_set/845.jpg': 'Dining Table', 'static/dataset/coco_val_set/847.jpg': 'Airplane', 'static/dataset/coco_val_set/848.jpg': 'Tarmac', 'static/dataset/coco_val_set/850.jpg': 'Person', 'static/dataset/coco_val_set/851.jpg': 'Electronics', 'static/dataset/coco_val_set/859.jpg': 'Plant', 'static/dataset/coco_val_set/876.jpg': 'Person', 'static/dataset/coco_val_set/879.jpg': 'Bird', 'static/dataset/coco_val_set/880.jpg': 'Road Sign', 'static/dataset/coco_val_set/883.jpg': 'Sink', 'static/dataset/coco_val_set/888.jpg': 'Plant', 'static/dataset/coco_val_set/891.jpg': 'Plant', 'static/dataset/coco_val_set/892.jpg': 'Sink', 'static/dataset/coco_val_set/896.jpg': 'Person', 'static/dataset/coco_val_set/897.jpg': 'Car', 'static/dataset/coco_val_set/900.jpg': 'Burger', 'static/dataset/coco_val_set/902.jpg': 'Teddy Bear', 'static/dataset/coco_val_set/912.jpg': 'Sea', 'static/dataset/coco_val_set/914.jpg': 'Computer Keyboard', 'static/dataset/coco_val_set/918.jpg': 'Clothing', 'static/dataset/coco_val_set/920.jpg': 'Elephant', 'static/dataset/coco_val_set/929.jpg': 'Oven', 'static/dataset/coco_val_set/934.jpg': 'Airplane', 'static/dataset/coco_val_set/941.jpg': 'Orange', 'static/dataset/coco_val_set/948.jpg': 'Person', 'static/dataset/coco_val_set/960.jpg': 'Person', 'static/dataset/coco_val_set/965.jpg': 'Person', 'static/dataset/coco_val_set/967.jpg': 'Railway', 'static/dataset/coco_val_set/969.jpg': 'Couch', 'static/dataset/coco_val_set/971.jpg': 'Sea', 'static/dataset/coco_val_set/973.jpg': 'Person', 'static/dataset/coco_val_set/979.jpg': 'Zebra', 'static/dataset/coco_val_set/98.jpg': 'Room', 'static/dataset/coco_val_set/983.jpg': 'Wood', 'static/dataset/coco_val_set/984.jpg': 'Person', 'static/dataset/coco_val_set/985.jpg': 'Christmas Tree', 'static/dataset/coco_val_set/986.jpg': 'Nature', 'static/dataset/coco_val_set/999.jpg': 'Pc'}

var imagenum = ['1','10','100','1000','1001','1003','1004','1006','1007','1008','1010','1011','1012','1014','1015','1017','1019','102','1020','1022','1024','1025','1026','1027','1028','103','1030','1031','1032','1034','1036','1039','1040','1042','1043','1044','1045','1047','1048','1049','1051','1052','1053','1054','1055','1056','1057','1059','106','1060','1062','1063','1064','1065','1066','1067','1068','1069','107','1070','1072','1073','1074','1075','1076','1077','1078','1079','108','1080','1082','1083','1085','1087','1088','1089','109','1090','1091','1092','1093','1095','1096','1098','1100','1102','1103','1105','1108','1109','111','1111','1112','1113','1114','1115','1118','1119','112','1120','1121','1122','1124','1125','1127','1128','1129','113','1130','1131','1132','1133','1134','1135','1137','1139','114','1140','1141','1142','1145','1146','1148','1149','1150','1151','1152','1153','1154','1155','1156','1157','116','1160','1161','1162','1163','1166','1167','1168','117','1171','1172','1173','1174','1175','1176','1177','1178','118','1181','1182','1184','1186','1188','1189','119','1190','1191','1192','1193','1194','1195','1197','1198','1199','12','120','122','125','126','127','128','129','13','130','132','133','134','135','136','137','138','139','14','140','141','142','143','144','146','148','15','150','151','152','153','156','157','158','159','16','160','162','166','167','171','172','173','174','175','177','179','18','182','185','186','187','188','19','192','196','197','2','20','201','202','204','205','208','209','21','210','211','212','213','214','215','217','218','219','221','222','223','224','225','226','227','228','229','23','230','231','232','235','236','238','24','240','242','243','244','245','247','248','250','251','253','254','255','256','257','261','263','264','265','267','268','269','271','273','276','279','28','283','284','285','286','288','289','29','290','292','294','295','296','297','298','299','3','30','300','301','302','303','304','305','306','307','308','310','311','312','313','314','315','316','317','318','321','322','323','324','325','326','327','328','329','330','332','333','334','335','337','339','34','342','343','345','346','347','351','352','353','354','355','356','357','358','36','360','361','363','364','365','367','368','369','370','371','373','374','375','376','378','38','380','381','382','383','386','387','389','390','391','392','393','394','395','396','399','4','40','400','401','402','403','404','405','406','407','408','409','410','411','412','413','414','415','416','418','419','42','420','421','422','424','426','427','428','429','43','430','431','432','433','435','436','437','438','439','44','440','441','442','444','445','446','448','45','450','451','452','455','458','46','461','463','464','465','466','467','470','472','473','474','475','476','478','481','482','483','485','489','49','490','491','493','494','495','496','497','498','499','5','50','500','501','502','503','505','506','507','508','51','510','512','513','514','515','516','517','519','520','521','522','523','524','525','526','528','53','530','531','532','533','534','536','538','539','54','540','541','542','543','544','545','546','547','548','549','550','552','553','554','555','557','558','56','560','561','562','563','564','565','568','569','570','571','572','574','575','576','577','58','582','583','584','585','587','588','589','590','591','594','595','596','597','598','599','6','60','601','604','605','606','607','608','610','611','612','613','614','615','617','618','619','62','620','621','622','623','624','625','626','627','629','631','632','633','634','636','641','642','646','647','648','65','651','652','653','654','655','656','657','66','662','663','664','665','666','667','668','669','67','671','672','673','674','675','678','682','683','684','685','687','689','690','691','692','693','694','696','697','698','699','70','701','702','703','704','705','707','708','71','711','712','713','714','716','717','718','72','720','721','722','724','725','726','727','728','729','73','730','731','734','735','736','737','738','74','741','742','744','749','750','751','754','755','756','757','758','759','76','761','762','763','764','766','768','769','77','770','771','772','773','774','775','776','777','779','78','780','782','784','786','787','788','789','790','791','792','793','794','795','796','797','798','799','8','80','800','801','805','806','809','81','811','812','815','816','817','818','819','82','820','824','825','826','827','829','83','830','831','832','833','835','836','837','838','839','84','840','841','842','843','844','845','846','847','848','849','85','850','851','852','854','855','856','858','859','86','860','864','865','867','868','87','870','873','874','875','876','877','878','879','88','880','882','883','885','887','888','889','89','891','892','894','895','896','897','898','899','90','900','901','902','905','908','91','910','911','912','913','914','915','916','917','918','919','920','921','922','923','924','925','926','927','929','93','930','931','934','938','939','94','941','942','943','944','945','946','947','948','949','95','950','951','952','954','957','958','96','960','962','965','966','967','968','969','97','970','971','973','974','975','978','979','98','983','984','985','986','987','989','990','991','993','994','996','997','998','999']

var instructionPages = [ // add as a list as many pages as you like
	"prequestionnaire_new.html",
	"instructions/instruct-1.html",
	// "instructions/instruct-ready.html"
];

var random_flip = [0,1]
var human_machine = [0,1]
var machine_algos = ['b','c','d']

/********************
* HTML manipulation
*
* All HTML files in the templates directory are requested
* from the server when the PsiTurk object is created above. We
* need code to get those pages from the PsiTurk object and
* insert them into the document.
*
********************/

/********************
* STROOP TEST       *
********************/

var StroopExperiment = function() {

	psiTurk.recordUnstructuredData("mode", mode);

	var wordon;

	//Mengmi: generate random image list
	const ims_shown = 25;
	var imagelist = [];
	var imagenamelist = [];
	var trialindex =-1;

    imagenum = _.shuffle(imagenum);

    for (i = 0; i < ims_shown; i++)
    {
		imagenamelist.push(imagenum[i])
    	var imagename = "static/dataset/coco_val_set/" + imagenum[i] + ".jpg";
    	imagelist.push(imagename);
	}
	psiTurk.preloadImages(imagelist);
	console.log(imagelist)

	// Stimuli for a basic Stroop experiment
	psiTurk.recordUnstructuredData("condition", condition);

	var next = function() {
		if (imagelist.length===0) {
			finish();
		}
		else {
			trialindex = trialindex+1;
			current_img = imagelist.shift();
			current_img_name = imagenamelist.shift();
			console.log(current_img)

			human_machine = _.shuffle(human_machine)

			if (human_machine[0] == 0) {
				var page_name =  current_img_name + '_a_0.html'
			}
			else {
				machine_algos = _.shuffle(machine_algos)
				var page_name = current_img_name + '_' + machine_algos[0] + '_0.html'
			}

			console.log(page_name)

			random_flip = _.shuffle(random_flip)
			var current_conversation = 'static/responses_color/' + page_name
			console.log(current_conversation)
			// d3.select("#stim").html(current_conversation)


			d3.select("#stim").html('<img src='+current_img+' alt="stimuli" height="512">')
			$('#stimresp').attr('src', current_conversation);

			if (random_flip[0] == 0){
				d3.select("#stim2").html('<b> Does this image contain the following - "' + oneWord[current_img] + '"? </b> <input type="hidden" name="oneWord_curr" id="hiddenInput" value="0" /> <input type="hidden" name="page_name" id="hiddenInput" value=' + page_name + '/> ')
			}
			else{
				d3.select("#stim2").html('<b> Does this image contain the following - "' + wrongWord[current_img] + '"? </b> <input type="hidden" name="oneWord_curr" id="hiddenInput" value="1" /> <input type="hidden" name="page_name" id="hiddenInput" value=' + page_name + '/> ')
			}
			wordon = new Date().getTime();

		}
	};

	var finish = function() {
	    //$("body").unbind("keydown", response_handler); // Unbind keys
	    currentview = new Questionnaire();
	};


	// Load the stage.html snippet into the body of the page
	// psiTurk.showPage('prequestionairre.html')
	psiTurk.showPage('stage.html');

	// Register the response handler that is defined above to handle any
	// key down events.
	//$("body").focus().keydown(response_handler);

	// Start the test; initialize everything
	next();
	document.getElementById("submittrial").addEventListener("click", mengmiClick);

	function mengmiClick()
	{
		var Aclass = document.querySelector('input[type="radio"][name="Aclass"]:checked').value;
		var Agender = document.querySelector('input[type="radio"][name="Agender"]:checked').value;
		var topic = document.querySelector('input[type="radio"][name="topic"]:checked').value;
		var oneWord_curr = document.querySelector('input[type="hidden"][name="oneWord_curr"]').value;
		var page_name = document.querySelector('input[type="hidden"][name="page_name"]').value;
		var rt = new Date().getTime() - wordon;

		psiTurk.recordTrialData({'phase':"TEST",
                                 'imageID':current_img, //image name presented
								 'oneWord_curr': oneWord_curr,
								 'page_name':page_name,
								 'topic':topic,
                                 'Aclass':Aclass, //worker response for image name
								 'Agender':Agender,
                                 'hit':imagenum[trialindex], //index of image name
                                 'rt':rt, //response time
                             	 'trial': trialindex+1, //trial index starting from 1
                             	 }
                               );

	    next();
	}
};


/****************
* Questionnaire *
****************/
function instruct_ready() {
     psiTurk.showPage("instructions/instruct-ready.html")
}

function preques_submit() {

    record_responses = function() {

        native = document.getElementById("native").value;
        age = document.getElementById("age").value;
        gender = document.getElementById("gender").value;
        education = document.getElementById("education").value;
        country = document.getElementById("country").value;

        if (native.length>0 && age.length>0 && gender.length>0 && education.length>0 && country.length>0)
        {
            psiTurk.recordTrialData({'phase':'prequestionnaire', 'status':'submit'});
            psiTurk.recordUnstructuredData('native', native);
            psiTurk.recordUnstructuredData('age', age);
            psiTurk.recordUnstructuredData('gender', gender);
            psiTurk.recordUnstructuredData('education', education);
            psiTurk.recordUnstructuredData('country', country);
            psiTurk.showPage("instructions/instruct-1.html")
        }
        else
        {
            window.alert("Warning: Please answer all the question!!");
        }
	};
    record_responses();
}

var Questionnaire = function() {

	var error_message = "<h1>Oops!</h1><p>Something went wrong submitting your HIT. This might happen if you lose your internet connection. Press the button to resubmit.</p><button id='resubmit'>Resubmit</button>";

	record_responses = function() {

		psiTurk.recordTrialData({'phase':'postquestionnaire', 'status':'submit'});

		$('select').each( function(i, val) {
			psiTurk.recordUnstructuredData(this.id, this.value);
		});

	};

	prompt_resubmit = function() {
		document.body.innerHTML = error_message;
		$("#resubmit").click(resubmit);
	};

	resubmit = function() {
		document.body.innerHTML = "<h1>Trying to resubmit...</h1>";
		reprompt = setTimeout(prompt_resubmit, 10000);

		psiTurk.saveData({
			success: function() {
			    clearInterval(reprompt);
				psiTurk.completeHIT();
			},
			error: prompt_resubmit
		});
	};

	// Load the questionnaire snippet
	psiTurk.showPage('postquestionnaire.html');
	psiTurk.recordTrialData({'phase':'postquestionnaire', 'status':'begin'});

	$("#next").click(function () {
	    record_responses();
	    psiTurk.saveData({
            success: function(){
            	psiTurk.completeHIT(); // when finished saving compute bonus, the quit
            },
            error: prompt_resubmit});
	});


};

// Task object to keep track of the current phase
var currentview;

/*******************
 * Run Task
 ******************/
 $(window).load( function(){
     psiTurk.showPage("prequestionnaire_new.html");
 });
// $(window).load( function(){
//     psiTurk.doInstructions(
//     	instructionPages, // a list of pages you want to display in sequence
//     	function() { currentview = new StroopExperiment(); } // what you want to do when you are done with instructions
//     );
// });
